!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-12 13:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_14517) = -coupl(nGC_12521)
      coupl(nGC_13717) = coupl(nGC_65)*dZWpMinus/2d0 + coupl(nGC_9700)
      coupl(nGC_12448) = coupl(nGC_148)*dZcL_QCD2/2d0 + coupl(nGC_148)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9547)
      coupl(nGC_9528) = coupl(nGC_9526)*dyup_QED1
      coupl(nGC_13134) = coupl(nGC_122)*dZH + coupl(nGC_122)*dZZ + coupl(      &
                         nGC_9659)
      coupl(nGC_11972) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_9855)
      coupl(nGC_12845) = coupl(nGC_38)*dZWMinus + coupl(nGC_38)*dZZ + coupl(   &
                         nGC_9669)
      coupl(nGC_14428) = coupl(nGC_MI)*dZnu_muL
      coupl(nGC_12431) = coupl(nGC_114)*dZdL_QCD2
      coupl(nGC_12433) = coupl(nGC_110)*dZZ/2d0 + coupl(nGC_9872)
      coupl(nGC_12534) = coupl(nGC_11972) + coupl(nGC_12532)
      coupl(nGC_12535) = coupl(nGC_11972) + coupl(nGC_12533)
      coupl(nGC_13430) = coupl(nGC_147)*dZH/2d0 + coupl(nGC_9583)
      coupl(nGC_12194) = coupl(nGC_121)*dZZ + coupl(nGC_9662)
      coupl(nGC_12218) = coupl(nGC_26)*dZZp/2d0 + coupl(nGC_9753)
      coupl(nGC_12190) = coupl(nGC_24)*dZZp/2d0 + coupl(nGC_9834)
      coupl(nGC_12191) = coupl(nGC_33)*dZZp/2d0 + coupl(nGC_9831)
      coupl(nGC_12741) = 3d0*coupl(nGC_125)*dZH/2d0 + coupl(nGC_9488)
      coupl(nGC_12669) = coupl(nGC_111)*dZtR_QCD2
      coupl(nGC_9416) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_115)**2d0 - coupl(   &
                        nGC_129)**2d0 - coupl(nGC_155)**2d0 - coupl(nGC_156)*  &
                        coupl(nGC_569) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(    &
                        nGC_24)**2d0 - 4d0*coupl(nGC_25)**2d0 - 4d0*coupl(     &
                        nGC_42)**2d0 - 4d0*coupl(nGC_65)**2d0 - 4d0*coupl(     &
                        nGC_66)**2d0 - 4d0*coupl(nGC_67)**2d0 - 4d0*coupl(     &
                        nGC_94)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9417) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_103)**2d0 - 4d0*coupl&
                        (nGC_111)**2d0 - coupl(nGC_154)**2d0 - coupl(nGC_155)**&
                        2d0 - coupl(nGC_156)*coupl(nGC_569) - 4d0*coupl(nGC_2  &
                        )**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_34)**  &
                        2d0 - 4d0*coupl(nGC_83)**2d0 - 4d0*coupl(nGC_84)**2d0  &
                         - 4d0*coupl(nGC_85)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9414) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_110)**2d0 + coupl(nGC_148)**2d0 + coupl(nGC_149)*  &
                        coupl(nGC_973) + coupl(nGC_150)**2d0 + coupl(nGC_151)* &
                        coupl(nGC_153) + coupl(nGC_152)**2d0 + 4d0*coupl(nGC_26&
                        )**2d0 + 4d0*coupl(nGC_28)**2d0 + 4d0*coupl(nGC_78)**  &
                        2d0 + 4d0*coupl(nGC_81)**2d0 + 4d0*coupl(nGC_84)**2d0  &
                         + 4d0*coupl(nGC_96)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9415) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(       &
                        nGC_1819) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_9412) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_1819) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_9798) = coupl(nGC_9796)*dcw_ + coupl(nGC_9797)*dsw_
      coupl(nGC_9410) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_109)**2d0 - 4d0*coupl(nGC_114)**2d0 - coupl(nGC_134&
                        )**2d0 - coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_140 &
                        )**2d0 - coupl(nGC_149)*coupl(nGC_973) - coupl(nGC_150 &
                        )**2d0 - coupl(nGC_163)**2d0 - 4d0*coupl(nGC_17)**2d0  &
                         - 4d0*coupl(nGC_19)**2d0 - 4d0*coupl(nGC_43)**2d0 -   &
                        4d0*coupl(nGC_60)**2d0 - 4d0*coupl(nGC_63)**2d0 - 4d0* &
                        coupl(nGC_66)**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**&
                        2d0*Nc)
      coupl(nGC_9411) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_110)**2d0 - coupl(nGC_148)**2d0 - coupl(nGC_149)*  &
                        coupl(nGC_973) - coupl(nGC_150)**2d0 - coupl(nGC_151)* &
                        coupl(nGC_153) - coupl(nGC_152)**2d0 - 4d0*coupl(nGC_26&
                        )**2d0 - 4d0*coupl(nGC_28)**2d0 - 4d0*coupl(nGC_78)**  &
                        2d0 - 4d0*coupl(nGC_81)**2d0 - 4d0*coupl(nGC_84)**2d0  &
                         - 4d0*coupl(nGC_96)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9795) = coupl(nGC_9793)*dcw_ + coupl(nGC_9794)*dsw_
      coupl(nGC_9418) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_115)**2d0 + coupl(    &
                        nGC_129)**2d0 + coupl(nGC_155)**2d0 + coupl(nGC_156)*  &
                        coupl(nGC_569) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                        nGC_24)**2d0 + 4d0*coupl(nGC_25)**2d0 + 4d0*coupl(     &
                        nGC_42)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*coupl(     &
                        nGC_66)**2d0 + 4d0*coupl(nGC_67)**2d0 + 4d0*coupl(     &
                        nGC_94)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9792) = coupl(nGC_9790)*dcw_ + coupl(nGC_9791)*dsw_
      coupl(nGC_9559) = coupl(nGC_9558)*dys_QED1_QCD2
      coupl(nGC_9557) = coupl(nGC_9555)*dydo_QED1
      coupl(nGC_9556) = coupl(nGC_9555)*dydo_QED1_QCD2
      coupl(nGC_9554) = coupl(nGC_9552)*dys_QED1
      coupl(nGC_9553) = coupl(nGC_9552)*dys_QED1_QCD2
      coupl(nGC_9551) = coupl(nGC_9549)*dyc_QED1
      coupl(nGC_9550) = coupl(nGC_9549)*dyc_QED1_QCD2
      coupl(nGC_12282) = coupl(nGC_68)*dZWpMinus/2d0 + coupl(nGC_68)*dZeMinusR/&
                         2d0 + coupl(nGC_68)*dZnu_eR/2d0 + coupl(nGC_9710)
      coupl(nGC_12286) = coupl(nGC_109)*dZWMinus/2d0 + coupl(nGC_9859)
      coupl(nGC_12284) = coupl(nGC_109)*(dZsL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12322) = coupl(nGC_9900) + coupl(nGC_MZ_GF)*dZZ/2d0
      coupl(nGC_12325) = coupl(nGC_143)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_12327) = coupl(nGC_12325) + coupl(nGC_9576)
      coupl(nGC_12326) = -coupl(nGC_12325) - coupl(nGC_9576)
      coupl(nGC_9771) = coupl(nGC_9769)*dcw_ + coupl(nGC_9770)*dsw_
      coupl(nGC_9388) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9389) = coupl(nGC_103)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12062) = coupl(nGC_76)*dZWpMinus/2d0 + coupl(nGC_76)*dZnu_tauR/&
                         2d0 + coupl(nGC_76)*dZtauMinusR/2d0 + coupl(nGC_9744)
      coupl(nGC_9387) = coupl(nGC_11)**2d0*coupl(nGC_96)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12061) = coupl(nGC_58)*dZWpMinus/2d0 + coupl(nGC_58)*dZnu_tauL/&
                         2d0 + coupl(nGC_58)*dZtauMinusL/2d0 + coupl(nGC_9742)
      coupl(nGC_9382) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12065) = coupl(nGC_48)*dZA/2d0 + coupl(nGC_48)*dZWMinus/2d0 +  &
                         coupl(nGC_9614)
      coupl(nGC_12105) = coupl(nGC_69)*dZWpMinus/2d0 + coupl(nGC_69)*dZmuMinusR&
                         /2d0 + coupl(nGC_69)*dZnu_eR/2d0 + coupl(nGC_9716)
      coupl(nGC_12104) = coupl(nGC_51)*dZWpMinus/2d0 + coupl(nGC_51)*dZmuMinusL&
                         /2d0 + coupl(nGC_51)*dZnu_eL/2d0 + coupl(nGC_9714)
      coupl(nGC_12261) = coupl(nGC_70)*dZWpMinus/2d0 + coupl(nGC_70)*dZnu_eR/  &
                         2d0 + coupl(nGC_70)*dZtauMinusR/2d0 + coupl(nGC_9720)
      coupl(nGC_21302) = -coupl(nGC_12290)
      coupl(nGC_9702) = coupl(nGC_9701)*dsw_
      coupl(nGC_9706) = coupl(nGC_9705)*dsw_
      coupl(nGC_9704) = coupl(nGC_9703)*dsw_
      coupl(nGC_9312) = coupl(nGC_11)**2d0*coupl(nGC_154)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9314) = coupl(nGC_11)**2d0*coupl(nGC_148)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9317) = coupl(nGC_11)**2d0*coupl(nGC_163)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13768) = -coupl(nGC_11954)
      coupl(nGC_14490) = coupl(nGC_MI)*dZWMinus
      coupl(nGC_14493) = coupl(nGC_9896) + coupl(nGC_MW)*dZWMinus
      coupl(nGC_14494) = -coupl(nGC_14490)
      coupl(nGC_9777) = coupl(nGC_9775)*dcw_ + coupl(nGC_9776)*dsw_
      coupl(nGC_14350) = coupl(nGC_139)*dZdR_QCD2/2d0 + coupl(nGC_139)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9539)
      coupl(nGC_9774) = coupl(nGC_9772)*dcw_ + coupl(nGC_9773)*dsw_
      coupl(nGC_9678) = coupl(nGC_9677)*dsw_
      coupl(nGC_9676) = coupl(nGC_9675)*dsw_
      coupl(nGC_9672) = coupl(nGC_9670)*dcw_ + coupl(nGC_9671)*dsw_
      coupl(nGC_12563) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_eL +     &
                         coupl(nGC_9878)
      coupl(nGC_9875) = coupl(nGC_9873)*dcw_ + coupl(nGC_9874)*dsw_
      coupl(nGC_14991) = -coupl(nGC_13025)
      coupl(nGC_12967) = coupl(nGC_11972) + coupl(nGC_12965)
      coupl(nGC_12966) = coupl(nGC_11972) + coupl(nGC_12964)
      coupl(nGC_21289) = -coupl(nGC_12274)
      coupl(nGC_14549) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_9421) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_101)**2d0 - 4d0*coupl&
                        (nGC_111)**2d0 - coupl(nGC_160)**2d0 - coupl(nGC_161)* &
                        coupl(nGC_515) - coupl(nGC_162)**2d0 - coupl(nGC_163)**&
                        2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_32)**2d0 - &
                        4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_77)**2d0 - 4d0* &
                        coupl(nGC_78)**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**&
                        2d0*Nc)
      coupl(nGC_14469) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_13380) = coupl(nGC_132)*dZH/2d0 + coupl(nGC_9606)
      coupl(nGC_9512) = coupl(nGC_9510)*dsw_ + coupl(nGC_9511)*dMW2
      coupl(nGC_12493) = coupl(nGC_32)*(dZcR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_9515) = coupl(nGC_9513)*dMZ2 + coupl(nGC_9514)*dsw_
      coupl(nGC_9452) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_110) -    &
                        coupl(nGC_111) - coupl(nGC_114) - coupl(nGC_115))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_9453) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_110) +     &
                        coupl(nGC_111) + coupl(nGC_114) + coupl(nGC_115))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_9450) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_59)**2d0  &
                         - coupl(nGC_60)**2d0 - coupl(nGC_61)**2d0 - coupl(    &
                        nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_64)**2d0 &
                         - coupl(nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(    &
                        nGC_67)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)**2d0 &
                         - coupl(nGC_79)**2d0 - coupl(nGC_80)**2d0 - coupl(    &
                        nGC_81)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_83)**2d0 &
                         - coupl(nGC_84)**2d0 - coupl(nGC_85)**2d0)/(96d0*pi** &
                        2d0*Nc)
      coupl(nGC_9451) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_110) +     &
                        coupl(nGC_111) + coupl(nGC_114) + coupl(nGC_115))/(    &
                        128d0*pi**2d0)
      coupl(nGC_9456) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_101) -    &
                        coupl(nGC_102) - coupl(nGC_103) - coupl(nGC_86) - coupl&
                        (nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93&
                        ) - coupl(nGC_94) - coupl(nGC_95) - coupl(nGC_96) -    &
                        coupl(nGC_97))/(192d0*pi**2d0*Nc)
      coupl(nGC_9457) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) +     &
                        coupl(nGC_102) + coupl(nGC_103) + coupl(nGC_86) + coupl&
                        (nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93&
                        ) + coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(96d0*pi**2d0*Nc**2d0)
      coupl(nGC_12499) = coupl(nGC_23)*dZZp/2d0 + coupl(nGC_9825)
      coupl(nGC_12498) = coupl(nGC_32)*dZZp/2d0 + coupl(nGC_9828)
      coupl(nGC_14908) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_12797) = coupl(nGC_159)*dZH/2d0 + coupl(nGC_9588)
      coupl(nGC_14907) = coupl(nGC_MI)*dZtauMinusL
      coupl(nGC_12365) = coupl(nGC_MI)*dZmuMinusL
      coupl(nGC_12366) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_12369) = coupl(nGC_12366) + coupl(nGC_9886)
      coupl(nGC_12368) = coupl(nGC_MI)*dZmuMinusR
      coupl(nGC_12722) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_9278) = -Nc*cima*coupl(nGC_1819)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_12142) = coupl(nGC_55)*dZWpMinus/2d0 + coupl(nGC_55)*dZnu_muL/ &
                         2d0 + coupl(nGC_55)*dZtauMinusL/2d0 + coupl(nGC_9730)
      coupl(nGC_12222) = coupl(nGC_47)*dZA/2d0 + coupl(nGC_47)*dZH/2d0 + coupl(&
                         nGC_47)*dZWMinus/2d0 + coupl(nGC_9616)
      coupl(nGC_9429) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_129)**2d0  &
                         + coupl(nGC_134)**2d0 + coupl(nGC_135)**2d0 + coupl(  &
                        nGC_136)**2d0 + coupl(nGC_148)**2d0 + coupl(nGC_154)** &
                        2d0 + coupl(nGC_162)**2d0 + coupl(nGC_163)**2d0)/(32d0*&
                        pi**2d0*Nc)
      coupl(nGC_9428) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_129)**2d0 &
                         - coupl(nGC_134)**2d0 - coupl(nGC_135)**2d0 - coupl(  &
                        nGC_136)**2d0 - coupl(nGC_148)**2d0 - coupl(nGC_154)** &
                        2d0 - coupl(nGC_162)**2d0 - coupl(nGC_163)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_9427) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)**2d0 &
                         - coupl(nGC_109)**2d0 - coupl(nGC_42)**2d0 - 2d0*coupl&
                        (nGC_43)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_9354) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9425) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_1819)**3d0 - 48d0*    &
                        coupl(nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_9424) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_1819)**3d0 + 48d0*   &
                        coupl(nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_9423) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_101)**2d0 + 4d0*coupl(&
                        nGC_111)**2d0 + coupl(nGC_160)**2d0 + coupl(nGC_161)*  &
                        coupl(nGC_515) + coupl(nGC_162)**2d0 + coupl(nGC_163)**&
                        2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_32)**2d0 + &
                        4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_77)**2d0 + 4d0* &
                        coupl(nGC_78)**2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**&
                        2d0)
      coupl(nGC_9422) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_109)**2d0 + 4d0*coupl(&
                        nGC_115)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_160)** &
                        2d0 + coupl(nGC_161)*coupl(nGC_515) + 4d0*coupl(nGC_2  &
                        )**2d0 + 4d0*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_24)**  &
                        2d0 + 4d0*coupl(nGC_43)**2d0 + 4d0*coupl(nGC_59)**2d0  &
                         + 4d0*coupl(nGC_60)**2d0 + 4d0*coupl(nGC_61)**2d0 +   &
                        4d0*coupl(nGC_92)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9353) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9352) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_11981) = coupl(nGC_35)*dZWMinus + coupl(nGC_9629)
      coupl(nGC_11984) = coupl(nGC_45)*dZZ/2d0 + coupl(nGC_9502)
      coupl(nGC_13752) = coupl(nGC_13748) + coupl(nGC_9559)
      coupl(nGC_12033) = coupl(nGC_8)*dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 +    &
                         coupl(nGC_8)*dZZ/2d0 + coupl(nGC_9648)
      coupl(nGC_12036) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_muL +    &
                         coupl(nGC_9878)
      coupl(nGC_9632) = coupl(nGC_9630)*dsw_ + coupl(nGC_9631)*dvev_QEDM1
      coupl(nGC_12485) = coupl(nGC_114)*dZsL_QCD2
      coupl(nGC_9738) = coupl(nGC_9737)*dsw_
      coupl(nGC_27662) = coupl(nGC_9391)/2d0
      coupl(nGC_9732) = coupl(nGC_9731)*dsw_
      coupl(nGC_9736) = coupl(nGC_9735)*dsw_
      coupl(nGC_23605) = -coupl(nGC_12207)
      coupl(nGC_13036) = coupl(nGC_11972) + coupl(nGC_13035)
      coupl(nGC_14189) = coupl(nGC_MI)*dZnu_eR
      coupl(nGC_14188) = coupl(nGC_MI)*dZnu_eL
      coupl(nGC_13032) = coupl(nGC_11)*dZbL_QCD2
      coupl(nGC_15512) = coupl(nGC_15509) + coupl(nGC_9890)
      coupl(nGC_15511) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_13356) = coupl(nGC_117)*dZZ/2d0 + coupl(nGC_117)*dZnu_tauL +   &
                         coupl(nGC_9878)
      coupl(nGC_16562) = -coupl(nGC_16558)
      coupl(nGC_9646) = coupl(nGC_9645)*dcw_
      coupl(nGC_9644) = coupl(nGC_9642)*dcw_ + coupl(nGC_9643)*dsw_
      coupl(nGC_9641) = coupl(nGC_9639)*dcw_ + coupl(nGC_9640)*dsw_
      coupl(nGC_9435) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_130)*coupl(&
                        nGC_839) + coupl(nGC_133)*coupl(nGC_601) + coupl(      &
                        nGC_137)*coupl(nGC_681) + coupl(nGC_139)*coupl(nGC_141 &
                        ) + coupl(nGC_149)*coupl(nGC_973) + coupl(nGC_151)*    &
                        coupl(nGC_153) + coupl(nGC_156)*coupl(nGC_569) + coupl(&
                        nGC_161)*coupl(nGC_515))/(16d0*pi**2d0*Nc)
      coupl(nGC_13647) = coupl(nGC_11954) + coupl(nGC_13645)
      coupl(nGC_12453) = coupl(nGC_138)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_12455) = coupl(nGC_138)*dZH/2d0 + coupl(nGC_9534)
      coupl(nGC_12454) = coupl(nGC_12453) + coupl(nGC_9533)
      coupl(nGC_12596) = coupl(nGC_54)*dZWpMinus/2d0 + coupl(nGC_54)*dZmuMinusL&
                         /2d0 + coupl(nGC_54)*dZnu_muL/2d0 + coupl(nGC_9728)
      coupl(nGC_9296) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_109)**2d0 - coupl(&
                        nGC_114)**2d0 - coupl(nGC_17)**2d0 - coupl(nGC_19)**2d0&
                         - coupl(nGC_43)**2d0 - coupl(nGC_60)**2d0 - coupl(    &
                        nGC_63)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_87)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_9297) = cima*(-cMB*coupl(nGC_19)*coupl(nGC_28) - cMC*coupl(    &
                        nGC_63)*coupl(nGC_81) - cMD*coupl(nGC_17)*coupl(nGC_26 &
                        ) - cMS*coupl(nGC_1)**2d0 - cMS*coupl(nGC_110)*coupl(  &
                        nGC_114) - cMS*coupl(nGC_87)*coupl(nGC_96) - cMT*coupl(&
                        nGC_66)*coupl(nGC_84) - cMU*coupl(nGC_60)*coupl(nGC_78 &
                        ))/(8d0*pi**2d0)
      coupl(nGC_9291) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)**2d0 - coupl(&
                        nGC_27)**2d0 - coupl(nGC_28)**2d0 - coupl(nGC_79)**2d0 &
                         - coupl(nGC_82)**2d0 - coupl(nGC_85)**2d0 - coupl(    &
                        nGC_97)**2d0)/(16d0*pi**2d0)
      coupl(nGC_12856) = coupl(nGC_94)*dZtL_QCD2
      coupl(nGC_16809) = coupl(nGC_MI)*dZZ
      coupl(nGC_13427) = coupl(nGC_147)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_9463) = (-12d0*Nc*cima*coupl(nGC_12)*coupl(nGC_3871) + 20d0*Nc*&
                        cima*coupl(nGC_1819)**4d0*sq2**4d0 + 12d0*Nc*cima*coupl&
                        (nGC_3865)*coupl(nGC_3871) - 21d0*Nc*coupl(nGC_12)*    &
                        coupl(nGC_1819)**2d0*sq2**2d0 + 15d0*Nc*coupl(nGC_1819 &
                        )**2d0*coupl(nGC_3865)*sq2**2d0 - 15d0*Nc*coupl(       &
                        nGC_1819)**2d0*coupl(nGC_3871)*sq2**2d0 - 3d0*Nc*coupl(&
                        nGC_1819)**2d0*coupl(nGC_3877)*sq2**2d0 - 12d0*cima*   &
                        coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0*Nc)
      coupl(nGC_9462) = (12d0*Nc*cima*coupl(nGC_12)**2d0 - 8d0*Nc*cima*coupl(  &
                        nGC_1819)**4d0*sq2**4d0 + 12d0*Nc*cima*coupl(nGC_3865  &
                        )**2d0 + 21d0*Nc*coupl(nGC_12)*coupl(nGC_1819)**2d0*sq2&
                        **2d0 - 21d0*Nc*coupl(nGC_1819)**2d0*coupl(nGC_3865)*  &
                        sq2**2d0 + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(    &
                        768d0*pi**2d0)
      coupl(nGC_9461) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_1819)**4d0*sq2**2d0 - &
                        3d0*Nc*coupl(nGC_1819)**2d0*coupl(nGC_3871) + 3d0*Nc*  &
                        coupl(nGC_1819)**2d0*coupl(nGC_3877) - 30d0*cima*coupl(&
                        nGC_11)**4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_9460) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_101)**2d0 &
                         - coupl(nGC_102)**2d0 - coupl(nGC_103)**2d0 - 2d0*    &
                        coupl(nGC_17)**2d0 - 2d0*coupl(nGC_18)**2d0 - 2d0*coupl&
                        (nGC_19)**2d0 - 2d0*coupl(nGC_23)**2d0 - 2d0*coupl(    &
                        nGC_24)**2d0 - 2d0*coupl(nGC_25)**2d0 - 2d0*coupl(     &
                        nGC_26)**2d0 - 2d0*coupl(nGC_27)**2d0 - 2d0*coupl(     &
                        nGC_28)**2d0 - 2d0*coupl(nGC_32)**2d0 - 2d0*coupl(     &
                        nGC_33)**2d0 - 2d0*coupl(nGC_34)**2d0 - coupl(nGC_86)**&
                        2d0 - coupl(nGC_87)**2d0 - coupl(nGC_88)**2d0 - coupl( &
                        nGC_92)**2d0 - coupl(nGC_93)**2d0 - coupl(nGC_94)**2d0 &
                         - coupl(nGC_95)**2d0 - coupl(nGC_96)**2d0 - coupl(    &
                        nGC_97)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_9467) = (-20d0*cima*coupl(nGC_1819)**4d0*sq2**4d0 + 12d0*cima* &
                        coupl(nGC_3871)**2d0 + 3d0*coupl(nGC_12)*coupl(nGC_1819&
                        )**2d0*sq2**2d0 + 3d0*coupl(nGC_1819)**2d0*coupl(      &
                        nGC_3865)*sq2**2d0 + 33d0*coupl(nGC_1819)**2d0*coupl(  &
                        nGC_3871)*sq2**2d0 + 3d0*coupl(nGC_1819)**2d0*coupl(   &
                        nGC_3877)*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_9466) = (3d0*cima*coupl(nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)* &
                        coupl(nGC_3865) - 5d0*cima*coupl(nGC_1819)**4d0*sq2**  &
                        4d0 + 3d0*cima*coupl(nGC_3865)**2d0 + 9d0*coupl(nGC_12 &
                        )*coupl(nGC_1819)**2d0*sq2**2d0 - 6d0*coupl(nGC_1819)**&
                        2d0*coupl(nGC_3865)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_9465) = (-6d0*Nc*cima*coupl(nGC_12)*coupl(nGC_3871) + 10d0*Nc* &
                        cima*coupl(nGC_1819)**4d0*sq2**4d0 + 6d0*Nc*cima*coupl(&
                        nGC_3865)*coupl(nGC_3871) - 9d0*Nc*coupl(nGC_12)*coupl(&
                        nGC_1819)**2d0*sq2**2d0 + 9d0*Nc*coupl(nGC_1819)**2d0* &
                        coupl(nGC_3865)*sq2**2d0 - 9d0*Nc*coupl(nGC_1819)**2d0*&
                        coupl(nGC_3871)*sq2**2d0 - 3d0*Nc*coupl(nGC_1819)**2d0*&
                        coupl(nGC_3877)*sq2**2d0 - 6d0*cima*coupl(nGC_11)**4d0*&
                        sq2**4d0)/(384d0*pi**2d0*Nc)
      coupl(nGC_9464) = (-3d0*Nc*cima*coupl(nGC_12)*coupl(nGC_3871) + 5d0*Nc*  &
                        cima*coupl(nGC_1819)**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(&
                        nGC_3865)*coupl(nGC_3871) - 6d0*Nc*coupl(nGC_12)*coupl(&
                        nGC_1819)**2d0*sq2**2d0 + 3d0*Nc*coupl(nGC_1819)**2d0* &
                        coupl(nGC_3865)*sq2**2d0 - 3d0*Nc*coupl(nGC_1819)**2d0*&
                        coupl(nGC_3871)*sq2**2d0 - 3d0*cima*coupl(nGC_11)**4d0*&
                        sq2**4d0)/(192d0*pi**2d0*Nc)
      coupl(nGC_9783) = coupl(nGC_9781)*dcw_ + coupl(nGC_9782)*dsw_
      coupl(nGC_9469) = (-10d0*cima*coupl(nGC_1819)**4d0*sq2**4d0 + 6d0*cima*  &
                        coupl(nGC_3871)**2d0 + 18d0*coupl(nGC_1819)**2d0*coupl(&
                        nGC_3871)*sq2**2d0 + 3d0*coupl(nGC_1819)**2d0*coupl(   &
                        nGC_3877)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_9468) = (-10d0*cima*coupl(nGC_1819)**4d0*sq2**4d0 + 6d0*cima*  &
                        coupl(nGC_3871)**2d0 + 3d0*coupl(nGC_12)*coupl(nGC_1819&
                        )**2d0*sq2**2d0 + 3d0*coupl(nGC_1819)**2d0*coupl(      &
                        nGC_3865)*sq2**2d0 + 15d0*coupl(nGC_1819)**2d0*coupl(  &
                        nGC_3871)*sq2**2d0)/(192d0*pi**2d0)
      coupl(nGC_9786) = coupl(nGC_9784)*dcw_ + coupl(nGC_9785)*dsw_
      coupl(nGC_12296) = coupl(nGC_135)*dZcR_QCD2/2d0 + coupl(nGC_135)*        &
                         dZdL_QCD2/2d0 + coupl(nGC_9599)
      coupl(nGC_12354) = coupl(nGC_91)*dZZp/2d0 + coupl(nGC_91)*dZtauMinusL +  &
                         coupl(nGC_9813)
      coupl(nGC_12355) = coupl(nGC_100)*dZZp/2d0 + coupl(nGC_100)*dZtauMinusR  &
                          + coupl(nGC_9816)
      coupl(nGC_12079) = coupl(nGC_123)*dZWMinus/2d0 + coupl(nGC_123)*dZZ/2d0  &
                          + coupl(nGC_9651)
      coupl(nGC_12075) = coupl(nGC_31)*dZZp/2d0 + coupl(nGC_31)*dZmuMinusR/2d0 &
                          + coupl(nGC_31)*dZtauMinusR/2d0 + coupl(nGC_9810)
      coupl(nGC_12076) = coupl(nGC_22)*dZZp/2d0 + coupl(nGC_22)*dZmuMinusL/2d0 &
                          + coupl(nGC_22)*dZtauMinusL/2d0 + coupl(nGC_9807)
      coupl(nGC_12176) = coupl(nGC_105)*dZH/2d0 + coupl(nGC_9499)
      coupl(nGC_9519) = coupl(nGC_9516)*dMZ2 + coupl(nGC_9517)*dsw_ + coupl(   &
                        nGC_9518)*dcw_
      coupl(nGC_9307) = cima*(-coupl(nGC_103)**2d0 - coupl(nGC_111)**2d0 -     &
                        coupl(nGC_2)**2d0 - coupl(nGC_33)**2d0 - coupl(nGC_34  &
                        )**2d0 - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0 -     &
                        coupl(nGC_85)**2d0)/(16d0*pi**2d0)
      coupl(nGC_15384) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_15385) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_9302) = cima*(-cMB*coupl(nGC_61)*coupl(nGC_79) - cMC*coupl(    &
                        nGC_23)*coupl(nGC_32) - cMD*coupl(nGC_59)*coupl(nGC_77 &
                        ) - cMS*coupl(nGC_60)*coupl(nGC_78) - cMT*coupl(nGC_24 &
                        )*coupl(nGC_33) - cMU*coupl(nGC_101)*coupl(nGC_92) -   &
                        cMU*coupl(nGC_111)*coupl(nGC_115) - cMU*coupl(nGC_2)** &
                        2d0)/(8d0*pi**2d0)
      coupl(nGC_15383) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_9454) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) +     &
                        coupl(nGC_102) + coupl(nGC_103) + coupl(nGC_86) + coupl&
                        (nGC_87) + coupl(nGC_88) + coupl(nGC_92) + coupl(nGC_93&
                        ) + coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(384d0*pi**2d0)
      coupl(nGC_12183) = coupl(nGC_41)*dZWMinus/2d0 + coupl(nGC_9621)
      coupl(nGC_9455) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_101) + &
                        coupl(nGC_102) + coupl(nGC_103) - coupl(nGC_86) - coupl&
                        (nGC_87) - coupl(nGC_88) - coupl(nGC_92) - coupl(nGC_93&
                        ) - coupl(nGC_94) + coupl(nGC_95) + coupl(nGC_96) +    &
                        coupl(nGC_97))/(128d0*pi**2d0)
      coupl(nGC_9287) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_110)**2d0 - coupl(&
                        nGC_26)**2d0 - coupl(nGC_27)**2d0 - coupl(nGC_77)**2d0 &
                         - coupl(nGC_80)**2d0 - coupl(nGC_83)**2d0 - coupl(    &
                        nGC_95)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9285) = cima*(-cMB*coupl(nGC_18)*coupl(nGC_27) - cMC*coupl(    &
                        nGC_62)*coupl(nGC_80) - cMD*coupl(nGC_1)**2d0 - cMD*   &
                        coupl(nGC_110)*coupl(nGC_114) - cMD*coupl(nGC_86)*coupl&
                        (nGC_95) - cMS*coupl(nGC_17)*coupl(nGC_26) - cMT*coupl(&
                        nGC_65)*coupl(nGC_83) - cMU*coupl(nGC_59)*coupl(nGC_77 &
                        ))/(8d0*pi**2d0)
      coupl(nGC_9284) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_108)**2d0 - coupl(&
                        nGC_114)**2d0 - coupl(nGC_17)**2d0 - coupl(nGC_18)**2d0&
                         - coupl(nGC_43)**2d0 - coupl(nGC_59)**2d0 - coupl(    &
                        nGC_62)**2d0 - coupl(nGC_65)**2d0 - coupl(nGC_86)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_9281) = cima*coupl(nGC_1819)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_9280) = cima*sq2**2d0*(-Nc*coupl(nGC_1819)**2d0 + 4d0*coupl(   &
                        nGC_11)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9289) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_114)**2d0 - coupl(&
                        nGC_18)**2d0 - coupl(nGC_19)**2d0 - coupl(nGC_42)**2d0 &
                         - coupl(nGC_61)**2d0 - coupl(nGC_64)**2d0 - coupl(    &
                        nGC_67)**2d0 - coupl(nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9288) = cima*(-cMB*coupl(nGC_1)**2d0 - cMB*coupl(nGC_110)*coupl&
                        (nGC_114) - cMB*coupl(nGC_88)*coupl(nGC_97) - cMC*coupl&
                        (nGC_64)*coupl(nGC_82) - cMD*coupl(nGC_18)*coupl(nGC_27&
                        ) - cMS*coupl(nGC_19)*coupl(nGC_28) - cMT*coupl(nGC_67 &
                        )*coupl(nGC_85) - cMU*coupl(nGC_61)*coupl(nGC_79))/(8d0&
                        *pi**2d0)
      coupl(nGC_11955) = coupl(nGC_11952) + coupl(nGC_11954)
      coupl(nGC_11953) = coupl(nGC_4)*dZmuMinusL
      coupl(nGC_12003) = coupl(nGC_21)*dZZp/2d0 + coupl(nGC_21)*dZeMinusL/2d0  &
                          + coupl(nGC_21)*dZtauMinusL/2d0 + coupl(nGC_9798)
      coupl(nGC_12004) = coupl(nGC_30)*dZZp/2d0 + coupl(nGC_30)*dZeMinusR/2d0  &
                          + coupl(nGC_30)*dZtauMinusR/2d0 + coupl(nGC_9795)
      coupl(nGC_11959) = coupl(nGC_9)*dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0 +    &
                         coupl(nGC_9646)
      coupl(nGC_9765) = coupl(nGC_9763)*dcw_ + coupl(nGC_9764)*dsw_
      coupl(nGC_9762) = coupl(nGC_9760)*dcw_ + coupl(nGC_9761)*dsw_
      coupl(nGC_9603) = coupl(nGC_9601)*dyc_QED1
      coupl(nGC_9602) = coupl(nGC_9601)*dyc_QED1_QCD2
      coupl(nGC_9600) = coupl(nGC_9598)*dyc_QED1
      coupl(nGC_9605) = coupl(nGC_9604)*dyc_QED1_QCD2
      coupl(nGC_12556) = coupl(nGC_141)*dZdR_QCD2/2d0 + coupl(nGC_141)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9556)
      coupl(nGC_12557) = coupl(nGC_153)*dZdL_QCD2/2d0 + coupl(nGC_153)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9553)
      coupl(nGC_13411) = coupl(nGC_126)*dZH/2d0 + coupl(nGC_126)*dZWMinus +    &
                         coupl(nGC_9632)
      coupl(nGC_9843) = coupl(nGC_9841)*dcw_ + coupl(nGC_9842)*dsw_
      coupl(nGC_9846) = coupl(nGC_9844)*dcw_ + coupl(nGC_9845)*dsw_
      coupl(nGC_9849) = coupl(nGC_9847)*dcw_ + coupl(nGC_9848)*dsw_
      coupl(nGC_12952) = coupl(nGC_28)*dZZp/2d0 + coupl(nGC_9771)
      coupl(nGC_12951) = coupl(nGC_19)*dZZp/2d0 + coupl(nGC_9774)
      coupl(nGC_14473) = coupl(nGC_14470) + coupl(nGC_9893)
      coupl(nGC_17828) = -coupl(nGC_9425)
      coupl(nGC_13078) = coupl(nGC_113)*dZH/2d0 + coupl(nGC_113)*dZZ/2d0 +     &
                         coupl(nGC_9641)
      coupl(nGC_13522) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZtauMinusR + &
                         coupl(nGC_9881)
      coupl(nGC_12308) = coupl(nGC_62)*dZWpMinus/2d0 + coupl(nGC_9686)
      coupl(nGC_12400) = coupl(nGC_12396) + coupl(nGC_12399)
      coupl(nGC_13554) = coupl(nGC_86)*dZZp/2d0 + coupl(nGC_9750)
      coupl(nGC_13551) = coupl(nGC_86)*dZdL_QCD2
      coupl(nGC_13553) = coupl(nGC_95)*dZZp/2d0 + coupl(nGC_9747)
      coupl(nGC_12829) = coupl(nGC_29)*dZZp/2d0 + coupl(nGC_29)*dZeMinusR/2d0  &
                          + coupl(nGC_29)*dZmuMinusR/2d0 + coupl(nGC_9792)
      coupl(nGC_12236) = coupl(nGC_9804) + coupl(nGC_99)*dZZp/2d0 + coupl(     &
                         nGC_99)*dZmuMinusR
      coupl(nGC_12235) = coupl(nGC_90)*dZZp/2d0 + coupl(nGC_90)*dZmuMinusL +   &
                         coupl(nGC_9801)
      coupl(nGC_9438) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_110) + coupl(nGC_1)*coupl(nGC_114) + coupl(nGC_111 &
                        )*coupl(nGC_2) + coupl(nGC_115)*coupl(nGC_2))/(32d0*pi &
                        **2d0)
      coupl(nGC_9439) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_110) - coupl(nGC_1)*coupl(nGC_114) - coupl(nGC_111 &
                        )*coupl(nGC_2) - coupl(nGC_115)*coupl(nGC_2))/(32d0*pi &
                        **2d0*Nc)
      coupl(nGC_9434) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_130)*coupl&
                        (nGC_839) - coupl(nGC_133)*coupl(nGC_601) - coupl(     &
                        nGC_137)*coupl(nGC_681) - coupl(nGC_139)*coupl(nGC_141 &
                        ) - coupl(nGC_149)*coupl(nGC_973) - coupl(nGC_151)*    &
                        coupl(nGC_153) - coupl(nGC_156)*coupl(nGC_569) - coupl(&
                        nGC_161)*coupl(nGC_515))/(16d0*pi**2d0)
      coupl(nGC_9343) = coupl(nGC_11)**2d0*coupl(nGC_160)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9430) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)*coupl(&
                        nGC_62) + coupl(nGC_109)*coupl(nGC_60) + coupl(nGC_42)*&
                        coupl(nGC_67) + coupl(nGC_43)*coupl(nGC_59) + coupl(   &
                        nGC_43)*coupl(nGC_63))/(96d0*pi**2d0)
      coupl(nGC_9431) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)*coupl&
                        (nGC_62) - coupl(nGC_109)*coupl(nGC_60) - coupl(nGC_42 &
                        )*coupl(nGC_67) - coupl(nGC_43)*coupl(nGC_59) - coupl( &
                        nGC_43)*coupl(nGC_63))/(96d0*pi**2d0*Nc)
      coupl(nGC_27343) = -coupl(nGC_9390)/2d0
      coupl(nGC_27342) = -coupl(nGC_9390)
      coupl(nGC_27340) = -coupl(nGC_9391)/2d0
      coupl(nGC_12730) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZeMinusL/ &
                         2d0 + coupl(nGC_42)*dZnu_eL/2d0 + coupl(nGC_9863)
      coupl(nGC_12737) = coupl(nGC_61)*dZWpMinus/2d0 + coupl(nGC_9682)
      coupl(nGC_11992) = coupl(nGC_96)*dZZp/2d0 + coupl(nGC_9768)
      coupl(nGC_11991) = coupl(nGC_87)*dZZp/2d0 + coupl(nGC_9765)
      coupl(nGC_9304) = cima*(-cMB*coupl(nGC_67)*coupl(nGC_85) - cMC*coupl(    &
                        nGC_25)*coupl(nGC_34) - cMD*coupl(nGC_65)*coupl(nGC_83 &
                        ) - cMS*coupl(nGC_66)*coupl(nGC_84) - cMT*coupl(nGC_103&
                        )*coupl(nGC_94) - cMT*coupl(nGC_111)*coupl(nGC_115) -  &
                        cMT*coupl(nGC_2)**2d0 - cMU*coupl(nGC_24)*coupl(nGC_33 &
                        ))/(8d0*pi**2d0)
      coupl(nGC_12978) = coupl(nGC_59)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12049) = coupl(nGC_12045) + coupl(nGC_9611)
      coupl(nGC_9303) = cima*(-coupl(nGC_101)**2d0 - coupl(nGC_111)**2d0 -     &
                        coupl(nGC_2)**2d0 - coupl(nGC_32)**2d0 - coupl(nGC_33  &
                        )**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)**2d0 -     &
                        coupl(nGC_79)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9481) = coupl(nGC_9480)*dlam_QED2
      coupl(nGC_9722) = coupl(nGC_9721)*dsw_
      coupl(nGC_9332) = coupl(nGC_11)**2d0*coupl(nGC_515)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_24482) = -coupl(nGC_13290)
      coupl(nGC_12981) = coupl(nGC_59)*dZWpMinus/2d0 + coupl(nGC_9676)
      coupl(nGC_9396) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_114)**2d0 + coupl(nGC_130)*coupl(nGC_839) + coupl( &
                        nGC_131)**2d0 + coupl(nGC_154)**2d0 + 4d0*coupl(nGC_18 &
                        )**2d0 + 4d0*coupl(nGC_19)**2d0 + 4d0*coupl(nGC_42)**  &
                        2d0 + 4d0*coupl(nGC_61)**2d0 + 4d0*coupl(nGC_64)**2d0  &
                         + 4d0*coupl(nGC_67)**2d0 + 4d0*coupl(nGC_88)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_9399) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_114)**2d0 - coupl(nGC_130)*coupl(nGC_839) - coupl( &
                        nGC_131)**2d0 - coupl(nGC_154)**2d0 - 4d0*coupl(nGC_18 &
                        )**2d0 - 4d0*coupl(nGC_19)**2d0 - 4d0*coupl(nGC_42)**  &
                        2d0 - 4d0*coupl(nGC_61)**2d0 - 4d0*coupl(nGC_64)**2d0  &
                         - 4d0*coupl(nGC_67)**2d0 - 4d0*coupl(nGC_88)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_9398) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_110)**2d0 + coupl(nGC_129)**2d0 + coupl(nGC_130)*  &
                        coupl(nGC_839) + coupl(nGC_131)**2d0 + 4d0*coupl(nGC_27&
                        )**2d0 + 4d0*coupl(nGC_28)**2d0 + 4d0*coupl(nGC_79)**  &
                        2d0 + 4d0*coupl(nGC_82)**2d0 + 4d0*coupl(nGC_85)**2d0  &
                         + 4d0*coupl(nGC_97)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_12054) = coupl(nGC_163)*dZsL_QCD2/2d0 + coupl(nGC_163)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9590)
      coupl(nGC_9413) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_109)**2d0 + 4d0*coupl(nGC_114)**2d0 + coupl(nGC_134&
                        )**2d0 + coupl(nGC_139)*coupl(nGC_141) + coupl(nGC_140 &
                        )**2d0 + coupl(nGC_149)*coupl(nGC_973) + coupl(nGC_150 &
                        )**2d0 + coupl(nGC_163)**2d0 + 4d0*coupl(nGC_17)**2d0  &
                         + 4d0*coupl(nGC_19)**2d0 + 4d0*coupl(nGC_43)**2d0 +   &
                        4d0*coupl(nGC_60)**2d0 + 4d0*coupl(nGC_63)**2d0 + 4d0* &
                        coupl(nGC_66)**2d0 + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**&
                        2d0)
      coupl(nGC_13908) = -coupl(nGC_13905) - coupl(nGC_9602)
      coupl(nGC_13909) = coupl(nGC_13905) + coupl(nGC_9602)
      coupl(nGC_13639) = coupl(nGC_88)*dZZp/2d0 + coupl(nGC_9777)
      coupl(nGC_13753) = -coupl(nGC_9560)
      coupl(nGC_13751) = -coupl(nGC_13748) - coupl(nGC_9559)
      coupl(nGC_12465) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZeMinusR +   &
                         coupl(nGC_9881)
      coupl(nGC_13119) = coupl(nGC_92)*dZZp/2d0 + coupl(nGC_9822)
      coupl(nGC_12581) = coupl(nGC_78)*dZWpMinus/2d0 + coupl(nGC_9680)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
