!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-12 13:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_12582) = coupl(nGC_60)*dZWpMinus/2d0 + coupl(nGC_9678)
      coupl(nGC_12862) = coupl(nGC_103)*dZZp/2d0 + coupl(nGC_9852)
      coupl(nGC_12861) = coupl(nGC_94)*dZZp/2d0 + coupl(nGC_9849)
      coupl(nGC_13910) = -coupl(nGC_9603)
      coupl(nGC_13596) = -coupl(nGC_12289)/2d0
      coupl(nGC_12513) = coupl(nGC_115)*dZZ/2d0 + coupl(nGC_9866)
      coupl(nGC_12514) = coupl(nGC_111)*dZZ/2d0 + coupl(nGC_9869)
      coupl(nGC_16813) = -coupl(nGC_16809)
      coupl(nGC_13766) = coupl(nGC_71)*dZWpMinus/2d0 + coupl(nGC_71)*dZeMinusR/&
                         2d0 + coupl(nGC_71)*dZnu_muR/2d0 + coupl(nGC_9722)
      coupl(nGC_12763) = coupl(nGC_27)*dZZp/2d0 + coupl(nGC_9762)
      coupl(nGC_18121) = -coupl(nGC_9455)
      coupl(nGC_13362) = -coupl(nGC_13360) - coupl(nGC_9586)
      coupl(nGC_9470) = (-12d0*Nc*cima*coupl(nGC_12)*coupl(nGC_3865) - 4d0*Nc* &
                        cima*coupl(nGC_1819)**4d0*sq2**4d0 + 12d0*Nc*coupl(    &
                        nGC_12)*coupl(nGC_1819)**2d0*sq2**2d0 - 9d0*Nc*coupl(  &
                        nGC_1819)**2d0*coupl(nGC_3865)*sq2**2d0 + 18d0*cima*   &
                        coupl(nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_9471) = (12d0*Nc*cima*coupl(nGC_12)**2d0 - 8d0*Nc*cima*coupl(  &
                        nGC_1819)**4d0*sq2**4d0 + 12d0*Nc*cima*coupl(nGC_3865  &
                        )**2d0 + 39d0*Nc*coupl(nGC_12)*coupl(nGC_1819)**2d0*sq2&
                        **2d0 - 3d0*Nc*coupl(nGC_1819)**2d0*coupl(nGC_3865)*sq2&
                        **2d0 + 36d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0* &
                        pi**2d0)
      coupl(nGC_9472) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_1819)**4d0*sq2**2d0 - &
                        3d0*Nc*coupl(nGC_1819)**2d0*coupl(nGC_3871) + 9d0*Nc*  &
                        coupl(nGC_1819)**2d0*coupl(nGC_3877) - 60d0*cima*coupl(&
                        nGC_11)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_9473) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_1819)**4d0*sq2**2d0 - &
                        9d0*Nc*coupl(nGC_1819)**2d0*coupl(nGC_3871) + 3d0*Nc*  &
                        coupl(nGC_1819)**2d0*coupl(nGC_3877) - 60d0*cima*coupl(&
                        nGC_11)**4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_9474) = (-24d0*Nc*cima*coupl(nGC_12)*coupl(nGC_3865) - 8d0*Nc* &
                        cima*coupl(nGC_1819)**4d0*sq2**4d0 + 3d0*Nc*coupl(     &
                        nGC_12)*coupl(nGC_1819)**2d0*sq2**2d0 - 39d0*Nc*coupl( &
                        nGC_1819)**2d0*coupl(nGC_3865)*sq2**2d0 + 36d0*cima*   &
                        coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_9475) = (-12d0*Nc*cima*coupl(nGC_12)*coupl(nGC_3865) - 4d0*Nc* &
                        cima*coupl(nGC_1819)**4d0*sq2**4d0 + 9d0*Nc*coupl(     &
                        nGC_12)*coupl(nGC_1819)**2d0*sq2**2d0 - 12d0*Nc*coupl( &
                        nGC_1819)**2d0*coupl(nGC_3865)*sq2**2d0 + 18d0*cima*   &
                        coupl(nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_15386) = coupl(nGC_15384) + coupl(nGC_9888)
      coupl(nGC_13872) = -coupl(nGC_13871)
      coupl(nGC_21748) = -coupl(nGC_11984)
      coupl(nGC_13058) = coupl(nGC_25)*dZZp/2d0 + coupl(nGC_9843)
      coupl(nGC_13059) = coupl(nGC_34)*dZZp/2d0 + coupl(nGC_9846)
      coupl(nGC_12347) = coupl(nGC_39)*dZH/2d0 + coupl(nGC_39)*dZWMinus/2d0 +  &
                         coupl(nGC_9627)
      coupl(nGC_12899) = coupl(nGC_57)*dZWpMinus/2d0 + coupl(nGC_57)*dZmuMinusL&
                         /2d0 + coupl(nGC_57)*dZnu_tauL/2d0 + coupl(nGC_9738)
      coupl(nGC_12560) = -coupl(nGC_12183)
      coupl(nGC_13379) = coupl(nGC_13375) + coupl(nGC_9605)
      coupl(nGC_12088) = coupl(nGC_66)*dZWpMinus/2d0 + coupl(nGC_9704)
      coupl(nGC_12089) = coupl(nGC_84)*dZWpMinus/2d0 + coupl(nGC_9702)
      coupl(nGC_12167) = coupl(nGC_12166) + coupl(nGC_9596)
      coupl(nGC_11956) = coupl(nGC_11953) + coupl(nGC_11954)
      coupl(nGC_12168) = coupl(nGC_160)*dZH/2d0 + coupl(nGC_9597)
      coupl(nGC_14911) = coupl(nGC_14908) + coupl(nGC_9887)
      coupl(nGC_9277) = cima*sq2**2d0*(Nc*coupl(nGC_1819)**2d0 - 4d0*coupl(    &
                        nGC_11)**2d0)/(64d0*pi**2d0)
      coupl(nGC_12898) = coupl(nGC_75)*dZWpMinus/2d0 + coupl(nGC_75)*dZmuMinusR&
                         /2d0 + coupl(nGC_75)*dZnu_tauR/2d0 + coupl(nGC_9740)
      coupl(nGC_27339) = -coupl(nGC_9391)
      coupl(nGC_17830) = -coupl(nGC_9424)
      coupl(nGC_12092) = coupl(nGC_13)*dZH + coupl(nGC_9481)
      coupl(nGC_13383) = -coupl(nGC_13078)
      coupl(nGC_12099) = coupl(nGC_46)*dZA/2d0 + coupl(nGC_46)*dZWMinus/2d0 +  &
                         coupl(nGC_9625)
      coupl(nGC_12250) = coupl(nGC_67)*dZWpMinus/2d0 + coupl(nGC_9706)
      coupl(nGC_12018) = coupl(nGC_112)*dZZ/2d0 + coupl(nGC_112)*dZmuMinusR +  &
                         coupl(nGC_9881)
      coupl(nGC_12017) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZmuMinusL +  &
                         coupl(nGC_9644)
      coupl(nGC_12798) = coupl(nGC_12794) + coupl(nGC_12797)
      coupl(nGC_11974) = coupl(nGC_11968) + coupl(nGC_11972)
      coupl(nGC_13523) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZtauMinusL + &
                         coupl(nGC_9644)
      coupl(nGC_12141) = coupl(nGC_73)*dZWpMinus/2d0 + coupl(nGC_73)*dZnu_muR/ &
                         2d0 + coupl(nGC_73)*dZtauMinusR/2d0 + coupl(nGC_9732)
      coupl(nGC_11973) = coupl(nGC_11969) + coupl(nGC_11972)
      coupl(nGC_12024) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_9644)
      coupl(nGC_12021) = coupl(nGC_35)*dZH + coupl(nGC_35)*dZWMinus + coupl(   &
                         nGC_9629)
      coupl(nGC_12944) = coupl(nGC_120)*dZH/2d0 + coupl(nGC_9519)
      coupl(nGC_9420) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_109)**2d0 - 4d0*coupl&
                        (nGC_115)**2d0 - coupl(nGC_136)**2d0 - coupl(nGC_160)**&
                        2d0 - coupl(nGC_161)*coupl(nGC_515) - 4d0*coupl(nGC_2  &
                        )**2d0 - 4d0*coupl(nGC_23)**2d0 - 4d0*coupl(nGC_24)**  &
                        2d0 - 4d0*coupl(nGC_43)**2d0 - 4d0*coupl(nGC_59)**2d0  &
                         - 4d0*coupl(nGC_60)**2d0 - 4d0*coupl(nGC_61)**2d0 -   &
                        4d0*coupl(nGC_92)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_13065) = coupl(nGC_11972) + coupl(nGC_13063)
      coupl(nGC_13064) = coupl(nGC_11972) + coupl(nGC_13062)
      coupl(nGC_12846) = coupl(nGC_37)*dZWMinus + coupl(nGC_37)*dZZ + coupl(   &
                         nGC_9672)
      coupl(nGC_12333) = coupl(nGC_12331) + coupl(nGC_9885)
      coupl(nGC_12464) = coupl(nGC_116)*dZZ/2d0 + coupl(nGC_116)*dZeMinusL +   &
                         coupl(nGC_9644)
      coupl(nGC_13484) = coupl(nGC_89)*dZZp/2d0 + coupl(nGC_89)*dZeMinusL +    &
                         coupl(nGC_9786)
      coupl(nGC_13483) = coupl(nGC_9783) + coupl(nGC_98)*dZZp/2d0 + coupl(     &
                         nGC_98)*dZeMinusR
      coupl(nGC_12425) = coupl(nGC_56)*dZWpMinus/2d0 + coupl(nGC_56)*dZeMinusL/&
                         2d0 + coupl(nGC_56)*dZnu_tauL/2d0 + coupl(nGC_9736)
      coupl(nGC_12545) = coupl(nGC_11972) + coupl(nGC_12540)
      coupl(nGC_12544) = coupl(nGC_11972) + coupl(nGC_12541)
      coupl(nGC_13037) = coupl(nGC_11972) + coupl(nGC_13032)
      coupl(nGC_12447) = coupl(nGC_134)*dZcR_QCD2/2d0 + coupl(nGC_134)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9550)
      coupl(nGC_12202) = coupl(nGC_12200) + coupl(nGC_9593)
      coupl(nGC_13507) = -coupl(nGC_12024)
      coupl(nGC_12201) = -coupl(nGC_12200) - coupl(nGC_9593)
      coupl(nGC_12206) = coupl(nGC_42)*dZWMinus/2d0 + coupl(nGC_42)*dZmuMinusL/&
                         2d0 + coupl(nGC_42)*dZnu_muL/2d0 + coupl(nGC_9863)
      coupl(nGC_12771) = -coupl(nGC_12347)
      coupl(nGC_9401) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_110)**2d0 - coupl(nGC_129)**2d0 - coupl(nGC_130)*  &
                        coupl(nGC_839) - coupl(nGC_131)**2d0 - 4d0*coupl(nGC_27&
                        )**2d0 - 4d0*coupl(nGC_28)**2d0 - 4d0*coupl(nGC_79)**  &
                        2d0 - 4d0*coupl(nGC_82)**2d0 - 4d0*coupl(nGC_85)**2d0  &
                         - 4d0*coupl(nGC_97)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9403) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_102)**2d0 + 4d0*coupl&
                        (nGC_111)**2d0 + coupl(nGC_132)**2d0 + coupl(nGC_133)* &
                        coupl(nGC_601) + coupl(nGC_134)**2d0 + coupl(nGC_135)**&
                        2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_32)**2d0 + &
                        4d0*coupl(nGC_34)**2d0 + 4d0*coupl(nGC_80)**2d0 + 4d0* &
                        coupl(nGC_81)**2d0 + 4d0*coupl(nGC_82)**2d0)/(64d0*pi**&
                        2d0*Nc)
      coupl(nGC_9402) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_108)**2d0 + 4d0*coupl&
                        (nGC_115)**2d0 + coupl(nGC_132)**2d0 + coupl(nGC_133)* &
                        coupl(nGC_601) + coupl(nGC_148)**2d0 + 4d0*coupl(nGC_2 &
                        )**2d0 + 4d0*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_25)**  &
                        2d0 + 4d0*coupl(nGC_43)**2d0 + 4d0*coupl(nGC_62)**2d0  &
                         + 4d0*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_64)**2d0 +   &
                        4d0*coupl(nGC_93)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9405) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_102)**2d0 - 4d0*    &
                        coupl(nGC_111)**2d0 - coupl(nGC_132)**2d0 - coupl(     &
                        nGC_133)*coupl(nGC_601) - coupl(nGC_134)**2d0 - coupl( &
                        nGC_135)**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(     &
                        nGC_32)**2d0 - 4d0*coupl(nGC_34)**2d0 - 4d0*coupl(     &
                        nGC_80)**2d0 - 4d0*coupl(nGC_81)**2d0 - 4d0*coupl(     &
                        nGC_82)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9404) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_108)**2d0 - 4d0*    &
                        coupl(nGC_115)**2d0 - coupl(nGC_132)**2d0 - coupl(     &
                        nGC_133)*coupl(nGC_601) - coupl(nGC_148)**2d0 - 4d0*   &
                        coupl(nGC_2)**2d0 - 4d0*coupl(nGC_23)**2d0 - 4d0*coupl(&
                        nGC_25)**2d0 - 4d0*coupl(nGC_43)**2d0 - 4d0*coupl(     &
                        nGC_62)**2d0 - 4d0*coupl(nGC_63)**2d0 - 4d0*coupl(     &
                        nGC_64)**2d0 - 4d0*coupl(nGC_93)**2d0)/(64d0*pi**2d0)
      coupl(nGC_12434) = coupl(nGC_114)*dZZ/2d0 + coupl(nGC_9875)
      coupl(nGC_12724) = coupl(nGC_12722) + coupl(nGC_9891)
      coupl(nGC_13431) = coupl(nGC_13427) + coupl(nGC_13430)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
