!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-12 13:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_147) = -sqrt(2d0)*cima*ym/2d0
      coupl(nGC_110) = cima*ee*sw/(3d0*cw)
      coupl(nGC_113) = -cw*ee/(2d0*sw) - ee*sw/(2d0*cw)
      coupl(nGC_143) = -sqrt(2d0)*ye/2d0
      coupl(nGC_112) = cima*ee*sw/cw
      coupl(nGC_9480) = -cima/2d0
      coupl(nGC_9483) = -cima*vev/2d0
      coupl(nGC_111) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_3865) = -coupl(nGC_12)
      coupl(nGC_809) = -coupl(nGC_116)
      coupl(nGC_1819) = -coupl(nGC_10)
      coupl(nGC_725) = -coupl(nGC_143)
      coupl(nGC_19094) = -coupl(nGC_44)
      coupl(nGC_973) = -coupl(nGC_149)
      coupl(nGC_605) = -coupl(nGC_146)
      coupl(nGC_601) = -coupl(nGC_133)
      coupl(nGC_515) = -coupl(nGC_161)
      coupl(nGC_1137) = -coupl(nGC_45)
      coupl(nGC_839) = -coupl(nGC_130)
      coupl(nGC_301) = -2d0*coupl(nGC_36)
      coupl(nGC_639) = -coupl(nGC_39)
      coupl(nGC_689) = -coupl(nGC_49)/2d0
      coupl(nGC_1831) = -coupl(nGC_113)
      coupl(nGC_781) = -coupl(nGC_41)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
