!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-12 13:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_9656) = coupl(nGC_9654)*dcw_ + coupl(nGC_9655)*dsw_
      coupl(nGC_9653) = coupl(nGC_9652)*dcw_
      coupl(nGC_9659) = coupl(nGC_9657)*dcw_ + coupl(nGC_9658)*dsw_
      coupl(nGC_9479) = coupl(nGC_9478)*dlam_QED2
      coupl(nGC_9579) = -cima*dym_QED1
      coupl(nGC_9573) = coupl(nGC_9571)*dyb_QED1
      coupl(nGC_9572) = coupl(nGC_9571)*dyb_QED1_QCD2
      coupl(nGC_9574) = -cima*dye_QED1
      coupl(nGC_9576) = coupl(nGC_9575)*dye_QED1
      coupl(nGC_9684) = coupl(nGC_9683)*dsw_
      coupl(nGC_9688) = coupl(nGC_9687)*dsw_
      coupl(nGC_9584) = -cima*dytau_QED1
      coupl(nGC_9586) = coupl(nGC_9585)*dytau_QED1
      coupl(nGC_11964) = coupl(nGC_81)*(dZcR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_9888) = -cima*dMU_QCD2
      coupl(nGC_9756) = coupl(nGC_9754)*dcw_ + coupl(nGC_9755)*dsw_
      coupl(nGC_9614) = coupl(nGC_9613)*dsw_
      coupl(nGC_9619) = coupl(nGC_9617)*dsw_ + coupl(nGC_9618)*dvev_QEDM1
      coupl(nGC_9859) = coupl(nGC_9858)*dsw_
      coupl(nGC_9857) = coupl(nGC_9856)*dsw_
      coupl(nGC_9885) = -cima*dME
      coupl(nGC_13083) = coupl(nGC_115)*dZuL_QCD2
      coupl(nGC_9537) = coupl(nGC_9535)*dys_QED1
      coupl(nGC_9536) = coupl(nGC_9535)*dys_QED1_QCD2
      coupl(nGC_9894) = cima*dMZ2
      coupl(nGC_9716) = coupl(nGC_9715)*dsw_
      coupl(nGC_9712) = coupl(nGC_9711)*dsw_
      coupl(nGC_9718) = coupl(nGC_9717)*dsw_
      coupl(nGC_9493) = coupl(nGC_9492)*dMW2
      coupl(nGC_9819) = coupl(nGC_9817)*dcw_ + coupl(nGC_9818)*dsw_
      coupl(nGC_9692) = coupl(nGC_9691)*dsw_
      coupl(nGC_9662) = coupl(nGC_9660)*dcw_ + coupl(nGC_9661)*dsw_
      coupl(nGC_9666) = coupl(nGC_9663)*dcw_ + coupl(nGC_9664)*dsw_ + coupl(   &
                        nGC_9665)*dvev_QEDM1
      coupl(nGC_9887) = -cima*dMTA
      coupl(nGC_9886) = -cima*dMM
      coupl(nGC_9883) = -cima*dMH2
      coupl(nGC_12579) = coupl(nGC_60)*(dZsL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12504) = coupl(nGC_2)*dZA/2d0
      coupl(nGC_12503) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_12502) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_12508) = coupl(nGC_115)*dZcL_QCD2
      coupl(nGC_13053) = coupl(nGC_25)*(dZcL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_13891) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_9566) = -cima*dyb_QED1_QCD2
      coupl(nGC_9567) = -cima*dyb_QED1
      coupl(nGC_9564) = cima*dyt_QED1_QCD2
      coupl(nGC_9565) = cima*dyt_QED1
      coupl(nGC_9569) = coupl(nGC_9568)*dyb_QED1_QCD2
      coupl(nGC_12620) = coupl(nGC_4)*dZtauMinusR
      coupl(nGC_9690) = coupl(nGC_9689)*dsw_
      coupl(nGC_9694) = coupl(nGC_9693)*dsw_
      coupl(nGC_9696) = coupl(nGC_9695)*dsw_
      coupl(nGC_9698) = coupl(nGC_9697)*dsw_
      coupl(nGC_12392) = coupl(nGC_150)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_9360) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9361) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9364) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9368) = coupl(nGC_11)**2d0*coupl(nGC_115)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9594) = coupl(nGC_9592)*dyup_QED1
      coupl(nGC_9720) = coupl(nGC_9719)*dsw_
      coupl(nGC_14174) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_14175) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_9437) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12621) = coupl(nGC_4)*dZtauMinusL
      coupl(nGC_9279) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_13716) = coupl(nGC_83)*dZWpMinus/2d0 + coupl(nGC_9698)
      coupl(nGC_9895) = cima*dMZp2
      coupl(nGC_9523) = coupl(nGC_9522)*dZgs_QCD2
      coupl(nGC_9521) = coupl(nGC_9520)*dZgs_QCD2
      coupl(nGC_9527) = coupl(nGC_9526)*dyup_QED1_QCD2
      coupl(nGC_9524) = -cima*dydo_QED1_QCD2
      coupl(nGC_9525) = -cima*dydo_QED1
      coupl(nGC_223) = -cima/(2d0*cMW)
      coupl(nGC_227) = 1d0/(2d0*cMZ)
      coupl(nGC_9724) = coupl(nGC_9723)*dsw_
      coupl(nGC_16716) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_9523)
      coupl(nGC_12532) = coupl(nGC_11)*dZcR_QCD2
      coupl(nGC_12533) = coupl(nGC_11)*dZcL_QCD2
      coupl(nGC_12666) = coupl(nGC_115)*dZtL_QCD2
      coupl(nGC_12219) = coupl(nGC_17)*dZZp/2d0 + coupl(nGC_9756)
      coupl(nGC_9726) = coupl(nGC_9725)*dsw_
      coupl(nGC_12216) = coupl(nGC_17)*(dZdL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_12211) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_12213) = coupl(nGC_26)*(dZdR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_12068) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_9521)
      coupl(nGC_9386) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9384) = coupl(nGC_11)**2d0*coupl(nGC_17)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9383) = coupl(nGC_11)**2d0*coupl(nGC_95)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9380) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12262) = coupl(nGC_52)*dZWpMinus/2d0 + coupl(nGC_52)*dZnu_eL/  &
                         2d0 + coupl(nGC_52)*dZtauMinusL/2d0 + coupl(nGC_9718)
      coupl(nGC_9700) = coupl(nGC_9699)*dsw_
      coupl(nGC_9708) = coupl(nGC_9707)*dsw_
      coupl(nGC_9319) = coupl(nGC_11)**2d0*coupl(nGC_130)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9311) = coupl(nGC_11)**2d0*coupl(nGC_129)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9313) = coupl(nGC_11)**2d0*coupl(nGC_134)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9315) = coupl(nGC_11)**2d0*coupl(nGC_136)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9316) = coupl(nGC_11)**2d0*coupl(nGC_162)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13765) = coupl(nGC_53)*dZWpMinus/2d0 + coupl(nGC_53)*dZeMinusL/&
                         2d0 + coupl(nGC_53)*dZnu_muL/2d0 + coupl(nGC_9724)
      coupl(nGC_12115) = coupl(nGC_137)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_9899) = coupl(nGC_223)*dMW2
      coupl(nGC_9892) = -cima*dMS_QCD2
      coupl(nGC_9893) = -cima*dMB_QCD2
      coupl(nGC_9674) = coupl(nGC_9673)*dsw_
      coupl(nGC_9891) = -cima*dMD_QCD2
      coupl(nGC_9896) = cima*dMW2
      coupl(nGC_9897) = cima*dMWp2
      coupl(nGC_13035) = coupl(nGC_11)*dZbR_QCD2
      coupl(nGC_9872) = coupl(nGC_9870)*dcw_ + coupl(nGC_9871)*dsw_
      coupl(nGC_9324) = coupl(nGC_11)**2d0*coupl(nGC_681)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9878) = coupl(nGC_9876)*dcw_ + coupl(nGC_9877)*dsw_
      coupl(nGC_12166) = coupl(nGC_160)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_12965) = coupl(nGC_11)*dZtL_QCD2
      coupl(nGC_12964) = coupl(nGC_11)*dZtR_QCD2
      coupl(nGC_12161) = coupl(nGC_7)*dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0 +    &
                         coupl(nGC_9653)
      coupl(nGC_12249) = coupl(nGC_85)*dZWpMinus/2d0 + coupl(nGC_9708)
      coupl(nGC_9310) = coupl(nGC_11)**2d0*coupl(nGC_135)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12244) = coupl(nGC_85)*(dZbR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_12794) = coupl(nGC_159)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_12242) = coupl(nGC_43)*dZWMinus/2d0 + coupl(nGC_9857)
      coupl(nGC_13548) = coupl(nGC_95)*dZdR_QCD2
      coupl(nGC_12240) = coupl(nGC_43)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_9373) = coupl(nGC_11)**2d0*coupl(nGC_27)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9372) = coupl(nGC_11)**2d0*coupl(nGC_18)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_12229) = coupl(nGC_136)*dZdR_QCD2/2d0 + coupl(nGC_136)*        &
                         dZuL_QCD2/2d0 + coupl(nGC_9524)
      coupl(nGC_9376) = coupl(nGC_11)**2d0*coupl(nGC_25)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9359) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9358) = coupl(nGC_11)**2d0*coupl(nGC_65)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9588) = coupl(nGC_9587)*dytau_QED1
      coupl(nGC_9583) = coupl(nGC_9582)*dym_QED1
      coupl(nGC_9378) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9325) = coupl(nGC_11)**2d0*coupl(nGC_137)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_11986) = coupl(nGC_87)*dZsL_QCD2
      coupl(nGC_11989) = coupl(nGC_96)*dZsR_QCD2
      coupl(nGC_9900) = coupl(nGC_227)*dMZ2
      coupl(nGC_9810) = coupl(nGC_9808)*dcw_ + coupl(nGC_9809)*dsw_
      coupl(nGC_9623) = coupl(nGC_9622)*dsw_
      coupl(nGC_12133) = coupl(nGC_5)*(dZA + dZWMinus)
      coupl(nGC_12134) = -2d0*coupl(nGC_12133)
      coupl(nGC_9635) = coupl(nGC_9634)*dsw_
      coupl(nGC_9638) = coupl(nGC_9636)*dcw_ + coupl(nGC_9637)*dsw_
      coupl(nGC_9338) = coupl(nGC_11)**2d0*coupl(nGC_152)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9730) = coupl(nGC_9729)*dsw_
      coupl(nGC_9734) = coupl(nGC_9733)*dsw_
      coupl(nGC_9436) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_9831) = coupl(nGC_9829)*dcw_ + coupl(nGC_9830)*dsw_
      coupl(nGC_9834) = coupl(nGC_9832)*dcw_ + coupl(nGC_9833)*dsw_
      coupl(nGC_16561) = coupl(nGC_9897) + coupl(nGC_MWp)*dZWpMinus
      coupl(nGC_12009) = coupl(nGC_102)*dZcR_QCD2
      coupl(nGC_13645) = coupl(nGC_4)*dZeMinusR
      coupl(nGC_9321) = coupl(nGC_11)**2d0*coupl(nGC_133)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13646) = coupl(nGC_4)*dZeMinusL
      coupl(nGC_12980) = coupl(nGC_77)*dZWpMinus/2d0 + coupl(nGC_9674)
      coupl(nGC_9341) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_131) + cMC* &
                        coupl(nGC_132) + cMD*coupl(nGC_138) + cMS*coupl(nGC_150&
                        ) + cMT*coupl(nGC_155) + cMU*coupl(nGC_160))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_13452) = coupl(nGC_131)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_13453) = coupl(nGC_13452) + coupl(nGC_9572)
      coupl(nGC_13454) = coupl(nGC_131)*dZH/2d0 + coupl(nGC_9573)
      coupl(nGC_12595) = coupl(nGC_72)*dZWpMinus/2d0 + coupl(nGC_72)*dZmuMinusR&
                         /2d0 + coupl(nGC_72)*dZnu_muR/2d0 + coupl(nGC_9726)
      coupl(nGC_9344) = coupl(nGC_11)**2d0*coupl(nGC_42)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9345) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9780) = coupl(nGC_9778)*dcw_ + coupl(nGC_9779)*dsw_
      coupl(nGC_219) = cima/(2d0*cMW)
      coupl(nGC_12859) = coupl(nGC_103)*dZtR_QCD2
      coupl(nGC_14349) = coupl(nGC_151)*dZdL_QCD2/2d0 + coupl(nGC_151)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9536)
      coupl(nGC_12521) = coupl(nGC_3)*(dZA + 2d0*dZWMinus)/2d0
      coupl(nGC_12281) = coupl(nGC_50)*dZWpMinus/2d0 + coupl(nGC_50)*dZeMinusL/&
                         2d0 + coupl(nGC_50)*dZnu_eL/2d0 + coupl(nGC_9712)
      coupl(nGC_9898) = coupl(nGC_219)*dMW2
      coupl(nGC_9298) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_13714) = coupl(nGC_65)*(dZdL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_9548) = -cima*dys_QED1
      coupl(nGC_12496) = coupl(nGC_23)*(dZcL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_9545) = coupl(nGC_9544)*dys_QED1_QCD2
      coupl(nGC_9546) = coupl(nGC_9544)*dys_QED1
      coupl(nGC_9547) = -cima*dys_QED1_QCD2
      coupl(nGC_9540) = coupl(nGC_9538)*dydo_QED1
      coupl(nGC_9542) = coupl(nGC_9541)*dydo_QED1_QCD2
      coupl(nGC_9543) = coupl(nGC_9541)*dydo_QED1
      coupl(nGC_13711) = coupl(nGC_83)*(dZdR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_12735) = coupl(nGC_79)*(dZbR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_9301) = cima*(-coupl(nGC_109)**2d0 - coupl(nGC_115)**2d0 -     &
                        coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(nGC_24  &
                        )**2d0 - coupl(nGC_43)**2d0 - coupl(nGC_59)**2d0 -     &
                        coupl(nGC_60)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_92 &
                        )**2d0)/(16d0*pi**2d0)
      coupl(nGC_12171) = coupl(nGC_128)*dZH/2d0 + coupl(nGC_128)*dZZ + coupl(  &
                         nGC_9666)
      coupl(nGC_9306) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_13905) = coupl(nGC_133)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_9308) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_9309) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_12188) = coupl(nGC_33)*(dZtR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_9789) = coupl(nGC_9787)*dcw_ + coupl(nGC_9788)*dsw_
      coupl(nGC_9889) = -cima*dMC_QCD2
      coupl(nGC_12185) = coupl(nGC_24)*(dZtL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12290) = coupl(nGC_3)*dZA/2d0
      coupl(nGC_9286) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_9283) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_9282) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_11954) = coupl(nGC_4)*dZA/2d0
      coupl(nGC_9837) = coupl(nGC_9835)*dcw_ + coupl(nGC_9836)*dsw_
      coupl(nGC_11952) = coupl(nGC_4)*dZmuMinusR
      coupl(nGC_12045) = coupl(nGC_155)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_12210) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_13605) = coupl(nGC_6)*dZA
      coupl(nGC_9609) = coupl(nGC_9607)*dyt_QED1
      coupl(nGC_9608) = coupl(nGC_9607)*dyt_QED1_QCD2
      coupl(nGC_9768) = coupl(nGC_9766)*dcw_ + coupl(nGC_9767)*dsw_
      coupl(nGC_9606) = coupl(nGC_9604)*dyc_QED1
      coupl(nGC_12043) = -coupl(nGC_9609)
      coupl(nGC_9648) = coupl(nGC_9647)*dcw_
      coupl(nGC_13892) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_9581) = coupl(nGC_9580)*dym_QED1
      coupl(nGC_12126) = coupl(nGC_154)*dZbL_QCD2/2d0 + coupl(nGC_154)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9564)
      coupl(nGC_16517) = coupl(nGC_MI)*dZA
      coupl(nGC_9385) = coupl(nGC_11)**2d0*coupl(nGC_26)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_14472) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_14470) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_9890) = -cima*dMT_QCD2
      coupl(nGC_9563) = coupl(nGC_9561)*dys_QED1
      coupl(nGC_16518) = -coupl(nGC_16517)
      coupl(nGC_12302) = coupl(nGC_80)*(dZcR_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_12307) = coupl(nGC_80)*dZWpMinus/2d0 + coupl(nGC_9688)
      coupl(nGC_12305) = coupl(nGC_62)*(dZcL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_9759) = coupl(nGC_9757)*dcw_ + coupl(nGC_9758)*dsw_
      coupl(nGC_9502) = coupl(nGC_9500)*dcw_ + coupl(nGC_9501)*dsw_
      coupl(nGC_9506) = coupl(nGC_9503)*dcw_ + coupl(nGC_9504)*dsw_ + coupl(   &
                        nGC_9505)*dMW2
      coupl(nGC_9611) = coupl(nGC_9610)*dyt_QED1_QCD2
      coupl(nGC_9509) = coupl(nGC_9507)*dcw_ + coupl(nGC_9508)*dsw_
      coupl(nGC_9612) = coupl(nGC_9610)*dyt_QED1
      coupl(nGC_9355) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13808) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_9616) = coupl(nGC_9615)*dsw_
      coupl(nGC_12414) = coupl(nGC_9899) + coupl(nGC_MMW_GF)*dZWMinus/2d0
      coupl(nGC_13807) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_12006) = coupl(nGC_93)*dZcL_QCD2
      coupl(nGC_12604) = coupl(nGC_43)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12230) = coupl(nGC_162)*dZdL_QCD2/2d0 + coupl(nGC_162)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9527)
      coupl(nGC_12274) = coupl(nGC_44)*dZWMinus/2d0 + coupl(nGC_9509)
      coupl(nGC_9357) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_13638) = coupl(nGC_97)*dZZp/2d0 + coupl(nGC_9780)
      coupl(nGC_9840) = coupl(nGC_9838)*dcw_ + coupl(nGC_9839)*dsw_
      coupl(nGC_9728) = coupl(nGC_9727)*dsw_
      coupl(nGC_9348) = coupl(nGC_11)**2d0*coupl(nGC_67)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9349) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_14429) = coupl(nGC_MI)*dZnu_muR
      coupl(nGC_9342) = coupl(nGC_11)**2d0*coupl(nGC_155)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9340) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_131) - cMC*&
                        coupl(nGC_132) - cMD*coupl(nGC_138) - cMS*coupl(nGC_150&
                        ) - cMT*coupl(nGC_155) - cMU*coupl(nGC_160))/(16d0*pi**&
                        2d0)
      coupl(nGC_9346) = coupl(nGC_11)**2d0*coupl(nGC_43)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9347) = coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9432) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0 &
                         - coupl(nGC_132)**2d0 - coupl(nGC_138)**2d0 - coupl(  &
                        nGC_140)**2d0 - coupl(nGC_150)**2d0 - coupl(nGC_152)** &
                        2d0 - coupl(nGC_155)**2d0 - coupl(nGC_160)**2d0)/(16d0*&
                        pi**2d0)
      coupl(nGC_9433) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_131)**2d0  &
                         + coupl(nGC_132)**2d0 + coupl(nGC_138)**2d0 + coupl(  &
                        nGC_140)**2d0 + coupl(nGC_150)**2d0 + coupl(nGC_152)** &
                        2d0 + coupl(nGC_155)**2d0 + coupl(nGC_160)**2d0)/(16d0*&
                        pi**2d0*Nc)
      coupl(nGC_12738) = coupl(nGC_79)*dZWpMinus/2d0 + coupl(nGC_9684)
      coupl(nGC_12732) = coupl(nGC_61)*(dZbL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12927) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_9356) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
