!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 11/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-12 13:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(214)%branchR2(0:0))
      call avR2(214, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9353, nGC_9352])

      allocate(vertices(24)%branchR2(0:1))
      call avR2(24, 0, 3, 1, 0, VVV0, 0, [3, 0], [nGC_17828])

      call avR2(24, 1, 2, 1, 0, VVV0, 0, [3, 0], [nGC_17830])

      allocate(vertices(162)%branchR2(0:0))
      call avR2(162, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_9310])

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9385, nGC_9384])

      allocate(vertices(1455)%branchR2(0:0))
      call avR2(1455, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9356, nGC_9357])

      allocate(vertices(1569)%branchR2(0:1))
      call avR2(1569, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9428])

      call avR2(1569, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9429])

      allocate(vertices(421)%branchR2(0:0))
      call avR2(421, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1570)%branchR2(0:1))
      call avR2(1570, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      call avR2(1570, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      allocate(vertices(1571)%branchR2(0:1))
      call avR2(1571, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9440, nGC_9440,      &
      nGC_9440])

      call avR2(1571, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9441, nGC_9441,      &
      nGC_9441])

      allocate(vertices(516)%branchR2(0:0))
      call avR2(516, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9361, nGC_9360])

      allocate(vertices(1572)%branchR2(0:1))
      call avR2(1572, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9438, nGC_9438,      &
      nGC_9438])

      call avR2(1572, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9439, nGC_9439,      &
      nGC_9439])

      allocate(vertices(1103)%branchR2(0:0))
      call avR2(1103, 0, 19, 1, 0, FaFS2, 0, [2, 1], [nGC_9317])

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9328, nGC_9329])

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_9346])

      allocate(vertices(1573)%branchR2(0:1))
      call avR2(1573, 0, 64, 1, 0, VSVS0, 0, [2, 2], [nGC_9429])

      call avR2(1573, 1, 63, 1, 0, VSVS0, 0, [2, 2], [nGC_9428])

      allocate(vertices(1522)%branchR2(0:1))
      call avR2(1522, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_9303, nGC_9301,       &
      nGC_9302, nGC_9302])

      call avR2(1522, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_9283, nGC_9283,       &
      nGC_9300, nGC_9300])

      allocate(vertices(1574)%branchR2(0:1))
      call avR2(1574, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1574, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(241)%branchR2(0:0))
      call avR2(241, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9353, nGC_9352])

      allocate(vertices(1575)%branchR2(0:1))
      call avR2(1575, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9445, nGC_9445,      &
      nGC_9445])

      call avR2(1575, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9444, nGC_9444,      &
      nGC_9444])

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9361, nGC_9360])

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9344])

      allocate(vertices(884)%branchR2(0:0))
      call avR2(884, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(567)%branchR2(0:0))
      call avR2(567, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(785)%branchR2(0:3))
      call avR2(785, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9419, nGC_9418])

      call avR2(785, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9415, nGC_9415])

      call avR2(785, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9417, nGC_9416])

      call avR2(785, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9412, nGC_9412])

      allocate(vertices(1576)%branchR2(0:1))
      call avR2(1576, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9444, nGC_9444,      &
      nGC_9444])

      call avR2(1576, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9445, nGC_9445,      &
      nGC_9445])

      allocate(vertices(215)%branchR2(0:0))
      call avR2(215, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9393, nGC_9392])

      allocate(vertices(303)%branchR2(0:3))
      call avR2(303, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_9405, nGC_9404])

      call avR2(303, 1, 22, 1, 0, FVFa0, 0, [3, 0], [nGC_9400, nGC_9400])

      call avR2(303, 2, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_9403, nGC_9402])

      call avR2(303, 3, 23, 1, 0, FVFa0, 0, [3, 0], [nGC_9397, nGC_9397])

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(524)%branchR2(0:3))
      call avR2(524, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_9398, nGC_9396])

      call avR2(524, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_9397, nGC_9397])

      call avR2(524, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_9401, nGC_9399])

      call avR2(524, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_9400, nGC_9400])

      allocate(vertices(1184)%branchR2(0:0))
      call avR2(1184, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9383, nGC_9382])

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(920)%branchR2(0:0))
      call avR2(920, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9346])

      allocate(vertices(1280)%branchR2(0:3))
      call avR2(1280, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_9403, nGC_9402])

      call avR2(1280, 1, 29, 1, 0, VFFa0, 0, [3, 0], [nGC_9397, nGC_9397])

      call avR2(1280, 2, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_9405, nGC_9404])

      call avR2(1280, 3, 28, 1, 0, VFFa0, 0, [3, 0], [nGC_9400, nGC_9400])

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9323, nGC_9322])

      allocate(vertices(1523)%branchR2(0:1))
      call avR2(1523, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9307, nGC_9305,       &
      nGC_9304, nGC_9304])

      call avR2(1523, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_9283, nGC_9283,       &
      nGC_9306, nGC_9306])

      allocate(vertices(1031)%branchR2(0:0))
      call avR2(1031, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(1577)%branchR2(0:1))
      call avR2(1577, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1577, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(1578)%branchR2(0:5))
      call avR2(1578, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9446, nGC_9446,      &
      nGC_9446])

      call avR2(1578, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1578, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1578, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1578, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9448, nGC_9448,      &
      nGC_9448])

      call avR2(1578, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_9446, nGC_9446,      &
      nGC_9446])

      allocate(vertices(723)%branchR2(0:0))
      call avR2(723, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1579)%branchR2(0:1))
      call avR2(1579, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9440, nGC_9440,      &
      nGC_9440])

      call avR2(1579, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9441, nGC_9441,      &
      nGC_9441])

      allocate(vertices(693)%branchR2(0:0))
      call avR2(693, 0, 17, 1, 0, FSFa2, 0, [2, 1], [nGC_9310])

      allocate(vertices(1580)%branchR2(0:5))
      call avR2(1580, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1580, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1580, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_9448, nGC_9448,      &
      nGC_9448])

      call avR2(1580, 3, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_9446, nGC_9446,      &
      nGC_9446])

      call avR2(1580, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1580, 5, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_9446, nGC_9446,      &
      nGC_9446])

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9335, nGC_9335])

      allocate(vertices(1336)%branchR2(0:0))
      call avR2(1336, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9312, nGC_9311])

      allocate(vertices(172)%branchR2(0:0))
      call avR2(172, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9312, nGC_9311])

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9332, nGC_9333])

      allocate(vertices(1444)%branchR2(0:0))
      call avR2(1444, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9365, nGC_9364])

      allocate(vertices(349)%branchR2(0:0))
      call avR2(349, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9330, nGC_9331])

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9311, nGC_9312])

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9313, nGC_9314])

      allocate(vertices(851)%branchR2(0:0))
      call avR2(851, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9332, nGC_9333])

      allocate(vertices(1581)%branchR2(0:1))
      call avR2(1581, 0, 64, 1, 0, VSVS0, 0, [2, 2], [nGC_9429])

      call avR2(1581, 1, 63, 1, 0, VSVS0, 0, [2, 2], [nGC_9428])

      allocate(vertices(60)%branchR2(0:0))
      call avR2(60, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9385, nGC_9384])

      allocate(vertices(813)%branchR2(0:0))
      call avR2(813, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9314, nGC_9313])

      allocate(vertices(1357)%branchR2(0:0))
      call avR2(1357, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9342, nGC_9342])

      allocate(vertices(1227)%branchR2(0:0))
      call avR2(1227, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9346])

      allocate(vertices(947)%branchR2(0:0))
      call avR2(947, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9334, nGC_9334])

      allocate(vertices(393)%branchR2(0:0))
      call avR2(393, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9353, nGC_9352])

      allocate(vertices(300)%branchR2(0:0))
      call avR2(300, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9337, nGC_9338])

      allocate(vertices(110)%branchR2(0:0))
      call avR2(110, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9336, nGC_9336])

      allocate(vertices(569)%branchR2(0:0))
      call avR2(569, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9381, nGC_9380])

      allocate(vertices(1582)%branchR2(0:1))
      call avR2(1582, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9439, nGC_9439,      &
      nGC_9439])

      call avR2(1582, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9438, nGC_9438,      &
      nGC_9438])

      allocate(vertices(1382)%branchR2(0:0))
      call avR2(1382, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9336, nGC_9336])

      allocate(vertices(1583)%branchR2(0:1))
      call avR2(1583, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9442, nGC_9442,      &
      nGC_9442])

      call avR2(1583, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9443, nGC_9443,      &
      nGC_9443])

      allocate(vertices(456)%branchR2(0:0))
      call avR2(456, 0, 19, 1, 0, FaFS2, 0, [2, 1], [nGC_9310])

      allocate(vertices(1517)%branchR2(0:1))
      call avR2(1517, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9295, nGC_9292,       &
      nGC_9293, nGC_9293])

      call avR2(1517, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_9283, nGC_9283,       &
      nGC_9294, nGC_9294])

      allocate(vertices(453)%branchR2(0:0))
      call avR2(453, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9359, nGC_9358])

      allocate(vertices(915)%branchR2(0:0))
      call avR2(915, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9336, nGC_9336])

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9346])

      allocate(vertices(1446)%branchR2(0:0))
      call avR2(1446, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9381, nGC_9380])

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9338, nGC_9337])

      allocate(vertices(1584)%branchR2(0:1))
      call avR2(1584, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      call avR2(1584, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      allocate(vertices(1409)%branchR2(0:0))
      call avR2(1409, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9395, nGC_9394])

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9347])

      allocate(vertices(606)%branchR2(0:0))
      call avR2(606, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1285)%branchR2(0:0))
      call avR2(1285, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_9345])

      allocate(vertices(1274)%branchR2(0:0))
      call avR2(1274, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9323, nGC_9322])

      allocate(vertices(613)%branchR2(0:0))
      call avR2(613, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9318, nGC_9319])

      allocate(vertices(1585)%branchR2(0:1))
      call avR2(1585, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      call avR2(1585, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9353, nGC_9352])

      allocate(vertices(1435)%branchR2(0:3))
      call avR2(1435, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_9405, nGC_9404])

      call avR2(1435, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_9400, nGC_9400])

      call avR2(1435, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_9403, nGC_9402])

      call avR2(1435, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_9397, nGC_9397])

      allocate(vertices(1289)%branchR2(0:0))
      call avR2(1289, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9337, nGC_9338])

      allocate(vertices(1586)%branchR2(0:1))
      call avR2(1586, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9444, nGC_9444,      &
      nGC_9444])

      call avR2(1586, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9445, nGC_9445,      &
      nGC_9445])

      allocate(vertices(1352)%branchR2(0:0))
      call avR2(1352, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(980)%branchR2(0:0))
      call avR2(980, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_9344])

      allocate(vertices(1485)%branchR2(0:0))
      call avR2(1485, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9346])

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(1587)%branchR2(0:1))
      call avR2(1587, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9440, nGC_9440,      &
      nGC_9440])

      call avR2(1587, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9441, nGC_9441,      &
      nGC_9441])

      allocate(vertices(1468)%branchR2(0:0))
      call avR2(1468, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9339, nGC_9339])

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9373, nGC_9372])

      allocate(vertices(1138)%branchR2(0:0))
      call avR2(1138, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9346])

      allocate(vertices(189)%branchR2(0:0))
      call avR2(189, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9346])

      allocate(vertices(1588)%branchR2(0:1))
      call avR2(1588, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      call avR2(1588, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      allocate(vertices(964)%branchR2(0:0))
      call avR2(964, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9320, nGC_9321])

      allocate(vertices(1353)%branchR2(0:0))
      call avR2(1353, 0, 20, 1, 0, SFFa1, 0, [2, 1], [nGC_9310])

      allocate(vertices(432)%branchR2(0:0))
      call avR2(432, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9365, nGC_9364])

      allocate(vertices(1018)%branchR2(0:3))
      call avR2(1018, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_9421, nGC_9420])

      call avR2(1018, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_9412, nGC_9412])

      call avR2(1018, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_9423, nGC_9422])

      call avR2(1018, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_9415, nGC_9415])

      allocate(vertices(285)%branchR2(0:0))
      call avR2(285, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9344])

      allocate(vertices(1589)%branchR2(0:1))
      call avR2(1589, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9438, nGC_9438,      &
      nGC_9438])

      call avR2(1589, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9439, nGC_9439,      &
      nGC_9439])

      allocate(vertices(515)%branchR2(0:0))
      call avR2(515, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9345])

      allocate(vertices(1590)%branchR2(0:1))
      call avR2(1590, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9440, nGC_9440,      &
      nGC_9440])

      call avR2(1590, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9441, nGC_9441,      &
      nGC_9441])

      allocate(vertices(228)%branchR2(0:0))
      call avR2(228, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9337, nGC_9338])

      allocate(vertices(604)%branchR2(0:0))
      call avR2(604, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9343, nGC_9343])

      allocate(vertices(1161)%branchR2(0:0))
      call avR2(1161, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9342, nGC_9342])

      allocate(vertices(1216)%branchR2(0:0))
      call avR2(1216, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9354, nGC_9355])

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9323, nGC_9322])

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9356, nGC_9357])

      allocate(vertices(727)%branchR2(0:0))
      call avR2(727, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9395, nGC_9394])

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_9347])

      allocate(vertices(238)%branchR2(0:0))
      call avR2(238, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9375, nGC_9374])

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9353, nGC_9352])

      allocate(vertices(703)%branchR2(0:0))
      call avR2(703, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9381, nGC_9380])

      allocate(vertices(107)%branchR2(0:0))
      call avR2(107, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9363, nGC_9362])

      allocate(vertices(125)%branchR2(0:0))
      call avR2(125, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9330, nGC_9331])

      allocate(vertices(1201)%branchR2(0:0))
      call avR2(1201, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9314, nGC_9313])

      allocate(vertices(1591)%branchR2(0:1))
      call avR2(1591, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9434])

      call avR2(1591, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9435])

      allocate(vertices(1012)%branchR2(0:0))
      call avR2(1012, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9347])

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9326, nGC_9327])

      allocate(vertices(1472)%branchR2(0:0))
      call avR2(1472, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9389, nGC_9388])

      allocate(vertices(953)%branchR2(0:3))
      call avR2(953, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_9414, nGC_9413])

      call avR2(953, 1, 22, 1, 0, FVFa0, 0, [3, 0], [nGC_9415, nGC_9415])

      call avR2(953, 2, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_9411, nGC_9410])

      call avR2(953, 3, 23, 1, 0, FVFa0, 0, [3, 0], [nGC_9412, nGC_9412])

      allocate(vertices(123)%branchR2(0:0))
      call avR2(123, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9381, nGC_9380])

      allocate(vertices(1015)%branchR2(0:0))
      call avR2(1015, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9311, nGC_9312])

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(105)%branchR2(0:0))
      call avR2(105, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9385, nGC_9384])

      allocate(vertices(1158)%branchR2(0:0))
      call avR2(1158, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9354, nGC_9355])

      allocate(vertices(1592)%branchR2(0:1))
      call avR2(1592, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1592, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9353, nGC_9352])

      allocate(vertices(847)%branchR2(0:0))
      call avR2(847, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9373, nGC_9372])

      allocate(vertices(661)%branchR2(0:0))
      call avR2(661, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9377, nGC_9376])

      allocate(vertices(1593)%branchR2(0:1))
      call avR2(1593, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9436, nGC_9436,      &
      nGC_9436])

      call avR2(1593, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9437, nGC_9437,      &
      nGC_9437])

      allocate(vertices(1594)%branchR2(0:1))
      call avR2(1594, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      call avR2(1594, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      allocate(vertices(680)%branchR2(0:0))
      call avR2(680, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9375, nGC_9374])

      allocate(vertices(1595)%branchR2(0:1))
      call avR2(1595, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9445, nGC_9445,      &
      nGC_9445])

      call avR2(1595, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9444, nGC_9444,      &
      nGC_9444])

      allocate(vertices(585)%branchR2(0:0))
      call avR2(585, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9379, nGC_9378])

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9385, nGC_9384])

      allocate(vertices(1189)%branchR2(0:0))
      call avR2(1189, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9328, nGC_9329])

      allocate(vertices(883)%branchR2(0:0))
      call avR2(883, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(1596)%branchR2(0:5))
      call avR2(1596, 0, 76, 1, 0, VVVV1, 0, [3, 1], [nGC_9454, nGC_9454,      &
      nGC_9454, nGC_18121])

      call avR2(1596, 1, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_9456, nGC_9456,      &
      nGC_9456])

      call avR2(1596, 2, 71, 1, 0, VVVV1, 0, [3, 1], [nGC_9454, nGC_9454,      &
      nGC_9454, nGC_18125])

      call avR2(1596, 3, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9456, nGC_9456,      &
      nGC_9456])

      call avR2(1596, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_9457, nGC_9457,      &
      nGC_9457])

      call avR2(1596, 5, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_9456, nGC_9456,      &
      nGC_9456])

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9342, nGC_9342])

      allocate(vertices(879)%branchR2(0:0))
      call avR2(879, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9393, nGC_9392])

      allocate(vertices(522)%branchR2(0:0))
      call avR2(522, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9371, nGC_9370])

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1481)%branchR2(0:0))
      call avR2(1481, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9344])

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9361, nGC_9360])

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9365, nGC_9364])

      allocate(vertices(109)%branchR2(0:0))
      call avR2(109, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9393, nGC_9392])

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9381, nGC_9380])

      allocate(vertices(822)%branchR2(0:0))
      call avR2(822, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(1597)%branchR2(0:1))
      call avR2(1597, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1597, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(108)%branchR2(0:0))
      call avR2(108, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1094)%branchR2(0:0))
      call avR2(1094, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9381, nGC_9380])

      allocate(vertices(133)%branchR2(0:0))
      call avR2(133, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(946)%branchR2(0:0))
      call avR2(946, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(264)%branchR2(0:0))
      call avR2(264, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1290)%branchR2(0:23))
      call avR2(1290, 0, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_9467, nGC_9466,      &
      nGC_9467])

      call avR2(1290, 1, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_9466, nGC_9467,      &
      nGC_9467])

      call avR2(1290, 2, 9, 1, 0, VVVV0, 0, [4, 0], [nGC_9470, nGC_9472,       &
      nGC_9471])

      call avR2(1290, 3, 104, 1, 0, VVVV0, 0, [4, 0], [nGC_9476, nGC_9476,     &
      nGC_9476])

      call avR2(1290, 4, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_9462, nGC_9462,       &
      nGC_9461])

      call avR2(1290, 5, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_9476, nGC_9476,     &
      nGC_9476])

      call avR2(1290, 6, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_9464, nGC_9465,      &
      nGC_9463])

      call avR2(1290, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_9464, nGC_9463,      &
      nGC_9465])

      call avR2(1290, 8, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_9477, nGC_9477,     &
      nGC_9477])

      call avR2(1290, 9, 8, 1, 0, VVVV0, 0, [4, 0], [nGC_9473, nGC_9475,       &
      nGC_9474])

      call avR2(1290, 10, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_9468, nGC_9469,     &
      nGC_9466])

      call avR2(1290, 11, 106, 1, 0, VVVV0, 0, [4, 0], [nGC_9476, nGC_9476,    &
      nGC_9476])

      call avR2(1290, 12, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_9462, nGC_9462,      &
      nGC_9461])

      call avR2(1290, 13, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_9463, nGC_9465,     &
      nGC_9464])

      call avR2(1290, 14, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_9470, nGC_9472,      &
      nGC_9471])

      call avR2(1290, 15, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_9476, nGC_9476,    &
      nGC_9476])

      call avR2(1290, 16, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_9463, nGC_9463,     &
      nGC_9463])

      call avR2(1290, 17, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_9464, nGC_9465,     &
      nGC_9463])

      call avR2(1290, 18, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_9463, nGC_9463,     &
      nGC_9463])

      call avR2(1290, 19, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_9463, nGC_9465,     &
      nGC_9464])

      call avR2(1290, 20, 105, 1, 0, VVVV0, 0, [4, 0], [nGC_9476, nGC_9476,    &
      nGC_9476])

      call avR2(1290, 21, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_9473, nGC_9475,      &
      nGC_9474])

      call avR2(1290, 22, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_9464, nGC_9463,     &
      nGC_9465])

      call avR2(1290, 23, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_9476, nGC_9476,    &
      nGC_9476])

      allocate(vertices(1460)%branchR2(0:0))
      call avR2(1460, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(1598)%branchR2(0:1))
      call avR2(1598, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9449, nGC_9449,      &
      nGC_9449])

      call avR2(1598, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9450, nGC_9450,      &
      nGC_9450])

      allocate(vertices(1599)%branchR2(0:1))
      call avR2(1599, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1599, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9346])

      allocate(vertices(140)%branchR2(0:0))
      call avR2(140, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9345])

      allocate(vertices(701)%branchR2(0:3))
      call avR2(701, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_9401, nGC_9399])

      call avR2(701, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_9400, nGC_9400])

      call avR2(701, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_9398, nGC_9396])

      call avR2(701, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_9397, nGC_9397])

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9332, nGC_9333])

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9356, nGC_9357])

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9316, nGC_9315])

      allocate(vertices(706)%branchR2(0:0))
      call avR2(706, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1167)%branchR2(0:0))
      call avR2(1167, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9363, nGC_9362])

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9315, nGC_9316])

      allocate(vertices(825)%branchR2(0:0))
      call avR2(825, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9363, nGC_9362])

      allocate(vertices(1600)%branchR2(0:1))
      call avR2(1600, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      call avR2(1600, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      allocate(vertices(244)%branchR2(0:0))
      call avR2(244, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9344])

      allocate(vertices(121)%branchR2(0:0))
      call avR2(121, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(127)%branchR2(0:0))
      call avR2(127, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9328, nGC_9329])

      allocate(vertices(102)%branchR2(0:0))
      call avR2(102, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9339, nGC_9339])

      allocate(vertices(686)%branchR2(0:0))
      call avR2(686, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1601)%branchR2(0:1))
      call avR2(1601, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9438, nGC_9438,      &
      nGC_9438])

      call avR2(1601, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9439, nGC_9439,      &
      nGC_9439])

      allocate(vertices(1233)%branchR2(0:0))
      call avR2(1233, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(358)%branchR2(0:0))
      call avR2(358, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9326, nGC_9327])

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9359, nGC_9358])

      allocate(vertices(1371)%branchR2(0:0))
      call avR2(1371, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1602)%branchR2(0:1))
      call avR2(1602, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      call avR2(1602, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9320, nGC_9321])

      allocate(vertices(1361)%branchR2(0:0))
      call avR2(1361, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9338, nGC_9337])

      allocate(vertices(1304)%branchR2(0:0))
      call avR2(1304, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1511)%branchR2(0:1))
      call avR2(1511, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9299, nGC_9296,       &
      nGC_9297, nGC_9297])

      call avR2(1511, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_9283, nGC_9283,       &
      nGC_9298, nGC_9298])

      allocate(vertices(1060)%branchR2(0:0))
      call avR2(1060, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9361, nGC_9360])

      allocate(vertices(1603)%branchR2(0:1))
      call avR2(1603, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      call avR2(1603, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      allocate(vertices(1367)%branchR2(0:0))
      call avR2(1367, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9313, nGC_9314])

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9375, nGC_9374])

      allocate(vertices(1250)%branchR2(0:0))
      call avR2(1250, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9356, nGC_9357])

      allocate(vertices(1604)%branchR2(0:1))
      call avR2(1604, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9449, nGC_9449,      &
      nGC_9449])

      call avR2(1604, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9450, nGC_9450,      &
      nGC_9450])

      allocate(vertices(484)%branchR2(0:0))
      call avR2(484, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9323, nGC_9322])

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_9346])

      allocate(vertices(1605)%branchR2(0:1))
      call avR2(1605, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9442, nGC_9442,      &
      nGC_9442])

      call avR2(1605, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9443, nGC_9443,      &
      nGC_9443])

      allocate(vertices(1464)%branchR2(0:0))
      call avR2(1464, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9315, nGC_9316])

      allocate(vertices(630)%branchR2(0:0))
      call avR2(630, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9344])

      allocate(vertices(1081)%branchR2(0:0))
      call avR2(1081, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9359, nGC_9358])

      allocate(vertices(1606)%branchR2(0:1))
      call avR2(1606, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9449, nGC_9449,      &
      nGC_9449])

      call avR2(1606, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9450, nGC_9450,      &
      nGC_9450])

      allocate(vertices(1607)%branchR2(0:1))
      call avR2(1607, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      call avR2(1607, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      allocate(vertices(966)%branchR2(0:0))
      call avR2(966, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(210)%branchR2(0:0))
      call avR2(210, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9336, nGC_9336])

      allocate(vertices(508)%branchR2(0:0))
      call avR2(508, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9347])

      allocate(vertices(323)%branchR2(0:0))
      call avR2(323, 0, 18, 1, 0, FaSF2, 0, [2, 1], [nGC_9317])

      allocate(vertices(348)%branchR2(0:0))
      call avR2(348, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9353, nGC_9352])

      allocate(vertices(566)%branchR2(0:0))
      call avR2(566, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9313, nGC_9314])

      allocate(vertices(1608)%branchR2(0:1))
      call avR2(1608, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9432])

      call avR2(1608, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9433])

      allocate(vertices(850)%branchR2(0:0))
      call avR2(850, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9345])

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9314, nGC_9313])

      allocate(vertices(1609)%branchR2(0:1))
      call avR2(1609, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9444, nGC_9444,      &
      nGC_9444])

      call avR2(1609, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9445, nGC_9445,      &
      nGC_9445])

      allocate(vertices(70)%branchR2(0:0))
      call avR2(70, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_9317])

      allocate(vertices(1360)%branchR2(0:0))
      call avR2(1360, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9336, nGC_9336])

      allocate(vertices(256)%branchR2(0:3))
      call avR2(256, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9401, nGC_9399])

      call avR2(256, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9400, nGC_9400])

      call avR2(256, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9398, nGC_9396])

      call avR2(256, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9397, nGC_9397])

      allocate(vertices(1610)%branchR2(0:1))
      call avR2(1610, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      call avR2(1610, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9385, nGC_9384])

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9377, nGC_9376])

      allocate(vertices(1611)%branchR2(0:1))
      call avR2(1611, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9459, nGC_9459,      &
      nGC_9459])

      call avR2(1611, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9460, nGC_9460,      &
      nGC_9460])

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 18, 1, 0, FaSF2, 0, [2, 1], [nGC_9310])

      allocate(vertices(1504)%branchR2(0:1))
      call avR2(1504, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_9287, nGC_9284,       &
      nGC_9285, nGC_9285])

      call avR2(1504, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_9283, nGC_9283,       &
      nGC_9286, nGC_9286])

      allocate(vertices(865)%branchR2(0:0))
      call avR2(865, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9342, nGC_9342])

      allocate(vertices(536)%branchR2(0:3))
      call avR2(536, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9414, nGC_9413])

      call avR2(536, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9415, nGC_9415])

      call avR2(536, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9411, nGC_9410])

      call avR2(536, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9412, nGC_9412])

      allocate(vertices(1258)%branchR2(0:0))
      call avR2(1258, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9395, nGC_9394])

      allocate(vertices(1477)%branchR2(0:0))
      call avR2(1477, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9356, nGC_9357])

      allocate(vertices(888)%branchR2(0:0))
      call avR2(888, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9318, nGC_9319])

      allocate(vertices(1612)%branchR2(0:1))
      call avR2(1612, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9445, nGC_9445,      &
      nGC_9445])

      call avR2(1612, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9444, nGC_9444,      &
      nGC_9444])

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(1170)%branchR2(0:0))
      call avR2(1170, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1377)%branchR2(0:0))
      call avR2(1377, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(961)%branchR2(0:3))
      call avR2(961, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_9417, nGC_9416])

      call avR2(961, 1, 29, 1, 0, VFFa0, 0, [3, 0], [nGC_9412, nGC_9412])

      call avR2(961, 2, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_9419, nGC_9418])

      call avR2(961, 3, 28, 1, 0, VFFa0, 0, [3, 0], [nGC_9415, nGC_9415])

      allocate(vertices(1613)%branchR2(0:1))
      call avR2(1613, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1613, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9353, nGC_9352])

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9339, nGC_9339])

      allocate(vertices(672)%branchR2(0:0))
      call avR2(672, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1532)%branchR2(0:1))
      call avR2(1532, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_9295, nGC_9292,       &
      nGC_9293, nGC_9293])

      call avR2(1532, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_9283, nGC_9283,       &
      nGC_9294, nGC_9294])

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9373, nGC_9372])

      allocate(vertices(219)%branchR2(0:0))
      call avR2(219, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_9346])

      allocate(vertices(676)%branchR2(0:0))
      call avR2(676, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9363, nGC_9362])

      allocate(vertices(1614)%branchR2(0:1))
      call avR2(1614, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1614, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(423)%branchR2(0:0))
      call avR2(423, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9363, nGC_9362])

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9393, nGC_9392])

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_9346])

      allocate(vertices(549)%branchR2(0:0))
      call avR2(549, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1503)%branchR2(0:1))
      call avR2(1503, 0, 16, 1, 0, VV2, 0, [2, 0], [nGC_9281, nGC_9280,        &
      nGC_9282])

      call avR2(1503, 1, 15, 1, 0, VV2, 0, [2, 0], [nGC_9278, nGC_9277,        &
      nGC_9279])

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9339, nGC_9339])

      allocate(vertices(446)%branchR2(0:0))
      call avR2(446, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9328, nGC_9329])

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9373, nGC_9372])

      allocate(vertices(1302)%branchR2(0:0))
      call avR2(1302, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9365, nGC_9364])

      allocate(vertices(1076)%branchR2(0:0))
      call avR2(1076, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(1615)%branchR2(0:1))
      call avR2(1615, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9444, nGC_9444,      &
      nGC_9444])

      call avR2(1615, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9445, nGC_9445,      &
      nGC_9445])

      allocate(vertices(385)%branchR2(0:0))
      call avR2(385, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9385, nGC_9384])

      allocate(vertices(1616)%branchR2(0:1))
      call avR2(1616, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      call avR2(1616, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      allocate(vertices(1420)%branchR2(0:0))
      call avR2(1420, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9373, nGC_9372])

      allocate(vertices(1617)%branchR2(0:1))
      call avR2(1617, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9436, nGC_9436,      &
      nGC_9436])

      call avR2(1617, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9437, nGC_9437,      &
      nGC_9437])

      allocate(vertices(1271)%branchR2(0:0))
      call avR2(1271, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_9347])

      allocate(vertices(1447)%branchR2(0:0))
      call avR2(1447, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9324, nGC_9325])

      allocate(vertices(735)%branchR2(0:0))
      call avR2(735, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9375, nGC_9374])

      allocate(vertices(411)%branchR2(0:0))
      call avR2(411, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9377, nGC_9376])

      allocate(vertices(1526)%branchR2(0:1))
      call avR2(1526, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_9307, nGC_9305,       &
      nGC_9304, nGC_9304])

      call avR2(1526, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_9283, nGC_9283,       &
      nGC_9306, nGC_9306])

      allocate(vertices(1026)%branchR2(0:0))
      call avR2(1026, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1618)%branchR2(0:5))
      call avR2(1618, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_9456, nGC_9456,      &
      nGC_9456])

      call avR2(1618, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_9456, nGC_9456,      &
      nGC_9456])

      call avR2(1618, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_9457, nGC_9457,      &
      nGC_9457])

      call avR2(1618, 3, 88, 1, 0, VVVV1, 0, [3, 1], [nGC_9454, nGC_9454,      &
      nGC_9454, nGC_18121])

      call avR2(1618, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_9456, nGC_9456,      &
      nGC_9456])

      call avR2(1618, 5, 83, 1, 0, VVVV1, 0, [3, 1], [nGC_9454, nGC_9454,      &
      nGC_9454, nGC_18125])

      allocate(vertices(1021)%branchR2(0:0))
      call avR2(1021, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9318, nGC_9319])

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9316, nGC_9315])

      allocate(vertices(231)%branchR2(0:0))
      call avR2(231, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9312, nGC_9311])

      allocate(vertices(1619)%branchR2(0:1))
      call avR2(1619, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9437, nGC_9437,      &
      nGC_9437])

      call avR2(1619, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9436, nGC_9436,      &
      nGC_9436])

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9345])

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9375, nGC_9374])

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9363, nGC_9362])

      allocate(vertices(192)%branchR2(0:3))
      call avR2(192, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9405, nGC_9404])

      call avR2(192, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9400, nGC_9400])

      call avR2(192, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9403, nGC_9402])

      call avR2(192, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9397, nGC_9397])

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9332, nGC_9333])

      allocate(vertices(1620)%branchR2(0:1))
      call avR2(1620, 0, 59, 1, 0, VVSS0, 0, [2, 2], [nGC_9432])

      call avR2(1620, 1, 60, 1, 0, VVSS0, 0, [2, 2], [nGC_9433])

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9387, nGC_9386])

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_9317])

      allocate(vertices(1137)%branchR2(0:0))
      call avR2(1137, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9363, nGC_9362])

      allocate(vertices(135)%branchR2(0:3))
      call avR2(135, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_9411, nGC_9410])

      call avR2(135, 1, 29, 1, 0, VFFa0, 0, [3, 0], [nGC_9412, nGC_9412])

      call avR2(135, 2, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_9414, nGC_9413])

      call avR2(135, 3, 28, 1, 0, VFFa0, 0, [3, 0], [nGC_9415, nGC_9415])

      allocate(vertices(1249)%branchR2(0:0))
      call avR2(1249, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9346])

      allocate(vertices(296)%branchR2(0:0))
      call avR2(296, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9387, nGC_9386])

      allocate(vertices(1621)%branchR2(0:1))
      call avR2(1621, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      call avR2(1621, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      allocate(vertices(1622)%branchR2(0:1))
      call avR2(1622, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1622, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(1498)%branchR2(0:0))
      call avR2(1498, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9336, nGC_9336])

      allocate(vertices(1230)%branchR2(0:0))
      call avR2(1230, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9377, nGC_9376])

      allocate(vertices(1623)%branchR2(0:1))
      call avR2(1623, 0, 48, 1, 0, VVV1, 0, [2, 1], [nGC_27339, 0, nGC_27340])

      call avR2(1623, 1, 47, 1, 0, VVV1, 0, [2, 1], [nGC_27342, 0, nGC_27343])

      allocate(vertices(1159)%branchR2(0:0))
      call avR2(1159, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9335, nGC_9335])

      allocate(vertices(1624)%branchR2(0:1))
      call avR2(1624, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9428])

      call avR2(1624, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9429])

      allocate(vertices(830)%branchR2(0:0))
      call avR2(830, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9346])

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(245)%branchR2(0:0))
      call avR2(245, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9312, nGC_9311])

      allocate(vertices(596)%branchR2(0:0))
      call avR2(596, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_9347])

      allocate(vertices(106)%branchR2(0:0))
      call avR2(106, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_9317])

      allocate(vertices(89)%branchR2(0:0))
      call avR2(89, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(261)%branchR2(0:0))
      call avR2(261, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(397)%branchR2(0:0))
      call avR2(397, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9343, nGC_9343])

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_9345])

      allocate(vertices(322)%branchR2(0:0))
      call avR2(322, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9328, nGC_9329])

      allocate(vertices(887)%branchR2(0:0))
      call avR2(887, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9361, nGC_9360])

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9311, nGC_9312])

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1625)%branchR2(0:1))
      call avR2(1625, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9460, nGC_9460,      &
      nGC_9460])

      call avR2(1625, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9459, nGC_9459,      &
      nGC_9459])

      allocate(vertices(1626)%branchR2(0:1))
      call avR2(1626, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9449, nGC_9449,      &
      nGC_9449])

      call avR2(1626, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9450, nGC_9450,      &
      nGC_9450])

      allocate(vertices(373)%branchR2(0:0))
      call avR2(373, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9395, nGC_9394])

      allocate(vertices(858)%branchR2(0:3))
      call avR2(858, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_9419, nGC_9418])

      call avR2(858, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_9415, nGC_9415])

      call avR2(858, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_9417, nGC_9416])

      call avR2(858, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_9412, nGC_9412])

      allocate(vertices(187)%branchR2(0:0))
      call avR2(187, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9349, nGC_9348])

      allocate(vertices(1331)%branchR2(0:0))
      call avR2(1331, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9359, nGC_9358])

      allocate(vertices(765)%branchR2(0:0))
      call avR2(765, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1627)%branchR2(0:1))
      call avR2(1627, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      call avR2(1627, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9334, nGC_9334])

      allocate(vertices(1628)%branchR2(0:5))
      call avR2(1628, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_9451, nGC_9451,      &
      nGC_9451])

      call avR2(1628, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_9453, nGC_9453,      &
      nGC_9453])

      call avR2(1628, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_9452, nGC_9452,      &
      nGC_9452])

      call avR2(1628, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_9452, nGC_9452,      &
      nGC_9452])

      call avR2(1628, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_9452, nGC_9452,      &
      nGC_9452])

      call avR2(1628, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_9451, nGC_9451,      &
      nGC_9451])

      allocate(vertices(310)%branchR2(0:3))
      call avR2(310, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_9407, nGC_9406])

      call avR2(310, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_9397, nGC_9397])

      call avR2(310, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_9409, nGC_9408])

      call avR2(310, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_9400, nGC_9400])

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9385, nGC_9384])

      allocate(vertices(1629)%branchR2(0:1))
      call avR2(1629, 0, 45, 1, 0, VVS0, 0, [2, 1], [nGC_9340])

      call avR2(1629, 1, 46, 1, 0, VVS0, 0, [2, 1], [nGC_9341])

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9354, nGC_9355])

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9375, nGC_9374])

      allocate(vertices(1374)%branchR2(0:0))
      call avR2(1374, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1630)%branchR2(0:1))
      call avR2(1630, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9438, nGC_9438,      &
      nGC_9438])

      call avR2(1630, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9439, nGC_9439,      &
      nGC_9439])

      allocate(vertices(208)%branchR2(0:0))
      call avR2(208, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9373, nGC_9372])

      allocate(vertices(1054)%branchR2(0:0))
      call avR2(1054, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9387, nGC_9386])

      allocate(vertices(166)%branchR2(0:0))
      call avR2(166, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1631)%branchR2(0:1))
      call avR2(1631, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1631, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(1110)%branchR2(0:0))
      call avR2(1110, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9371, nGC_9370])

      allocate(vertices(1050)%branchR2(0:0))
      call avR2(1050, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9339, nGC_9339])

      allocate(vertices(1324)%branchR2(0:3))
      call avR2(1324, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9423, nGC_9422])

      call avR2(1324, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9415, nGC_9415])

      call avR2(1324, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9421, nGC_9420])

      call avR2(1324, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9412, nGC_9412])

      allocate(vertices(451)%branchR2(0:0))
      call avR2(451, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1632)%branchR2(0:1))
      call avR2(1632, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9429])

      call avR2(1632, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9428])

      allocate(vertices(1090)%branchR2(0:0))
      call avR2(1090, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9326, nGC_9327])

      allocate(vertices(1633)%branchR2(0:1))
      call avR2(1633, 0, 64, 1, 0, VSVS0, 0, [2, 2], [nGC_9433])

      call avR2(1633, 1, 63, 1, 0, VSVS0, 0, [2, 2], [nGC_9432])

      allocate(vertices(1205)%branchR2(0:0))
      call avR2(1205, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9353, nGC_9352])

      allocate(vertices(1634)%branchR2(0:1))
      call avR2(1634, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9450, nGC_9450,      &
      nGC_9450])

      call avR2(1634, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9449, nGC_9449,      &
      nGC_9449])

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9335, nGC_9335])

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9379, nGC_9378])

      allocate(vertices(1635)%branchR2(0:1))
      call avR2(1635, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      call avR2(1635, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      allocate(vertices(1172)%branchR2(0:0))
      call avR2(1172, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9363, nGC_9362])

      allocate(vertices(897)%branchR2(0:0))
      call avR2(897, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9365, nGC_9364])

      allocate(vertices(1394)%branchR2(0:0))
      call avR2(1394, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(19)%branchR2(0:0))
      call avR2(19, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9342, nGC_9342])

      allocate(vertices(407)%branchR2(0:0))
      call avR2(407, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9373, nGC_9372])

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9385, nGC_9384])

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(588)%branchR2(0:3))
      call avR2(588, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9401, nGC_9399])

      call avR2(588, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9400, nGC_9400])

      call avR2(588, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9398, nGC_9396])

      call avR2(588, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9397, nGC_9397])

      allocate(vertices(1423)%branchR2(0:0))
      call avR2(1423, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9377, nGC_9376])

      allocate(vertices(191)%branchR2(0:0))
      call avR2(191, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9346])

      allocate(vertices(1636)%branchR2(0:1))
      call avR2(1636, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9449, nGC_9449,      &
      nGC_9449])

      call avR2(1636, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9450, nGC_9450,      &
      nGC_9450])

      allocate(vertices(806)%branchR2(0:0))
      call avR2(806, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9379, nGC_9378])

      allocate(vertices(1376)%branchR2(0:0))
      call avR2(1376, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9359, nGC_9358])

      allocate(vertices(527)%branchR2(0:0))
      call avR2(527, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9359, nGC_9358])

      allocate(vertices(342)%branchR2(0:0))
      call avR2(342, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9359, nGC_9358])

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9359, nGC_9358])

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(247)%branchR2(0:0))
      call avR2(247, 0, 21, 1, 0, SFaF2, 0, [2, 1], [nGC_9310])

      allocate(vertices(731)%branchR2(0:0))
      call avR2(731, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9337, nGC_9338])

      allocate(vertices(886)%branchR2(0:0))
      call avR2(886, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(367)%branchR2(0:0))
      call avR2(367, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(251)%branchR2(0:0))
      call avR2(251, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9318, nGC_9319])

      allocate(vertices(1637)%branchR2(0:5))
      call avR2(1637, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_9452, nGC_9452,      &
      nGC_9452])

      call avR2(1637, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_9452, nGC_9452,      &
      nGC_9452])

      call avR2(1637, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_9453, nGC_9453,      &
      nGC_9453])

      call avR2(1637, 3, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_9451, nGC_9451,      &
      nGC_9451])

      call avR2(1637, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_9452, nGC_9452,      &
      nGC_9452])

      call avR2(1637, 5, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_9451, nGC_9451,      &
      nGC_9451])

      allocate(vertices(1638)%branchR2(0:1))
      call avR2(1638, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9426, nGC_9426,      &
      nGC_9426])

      call avR2(1638, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9427, nGC_9427,      &
      nGC_9427])

      allocate(vertices(758)%branchR2(0:0))
      call avR2(758, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9323, nGC_9322])

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_9317])

      allocate(vertices(1639)%branchR2(0:1))
      call avR2(1639, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9435])

      call avR2(1639, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9434])

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9332, nGC_9333])

      allocate(vertices(1640)%branchR2(0:1))
      call avR2(1640, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9439, nGC_9439,      &
      nGC_9439])

      call avR2(1640, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9438, nGC_9438,      &
      nGC_9438])

      allocate(vertices(65)%branchR2(0:0))
      call avR2(65, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9346])

      allocate(vertices(1641)%branchR2(0:1))
      call avR2(1641, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9436, nGC_9436,      &
      nGC_9436])

      call avR2(1641, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9437, nGC_9437,      &
      nGC_9437])

      allocate(vertices(1642)%branchR2(0:1))
      call avR2(1642, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9428])

      call avR2(1642, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9429])

      allocate(vertices(1071)%branchR2(0:0))
      call avR2(1071, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9338, nGC_9337])

      allocate(vertices(1643)%branchR2(0:1))
      call avR2(1643, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1643, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(95)%branchR2(0:3))
      call avR2(95, 0, 30, 1, 0, VFaF0, 0, [1, 2], [nGC_9409, nGC_9408])

      call avR2(95, 1, 30, 1, 0, VFaF0, 0, [3, 0], [nGC_9400, nGC_9400])

      call avR2(95, 2, 31, 1, 0, VFaF0, 0, [1, 2], [nGC_9407, nGC_9406])

      call avR2(95, 3, 31, 1, 0, VFaF0, 0, [3, 0], [nGC_9397, nGC_9397])

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9316, nGC_9315])

      allocate(vertices(992)%branchR2(0:3))
      call avR2(992, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_9423, nGC_9422])

      call avR2(992, 1, 22, 1, 0, FVFa0, 0, [3, 0], [nGC_9415, nGC_9415])

      call avR2(992, 2, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_9421, nGC_9420])

      call avR2(992, 3, 23, 1, 0, FVFa0, 0, [3, 0], [nGC_9412, nGC_9412])

      allocate(vertices(185)%branchR2(0:0))
      call avR2(185, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9335, nGC_9335])

      allocate(vertices(1644)%branchR2(0:1))
      call avR2(1644, 0, 45, 1, 0, VVV1, 0, [2, 1], [nGC_9390, nGC_9390, 0])

      call avR2(1644, 1, 46, 1, 0, VVV1, 0, [2, 1], [nGC_9391, nGC_9391, 0])

      allocate(vertices(1645)%branchR2(0:1))
      call avR2(1645, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9444, nGC_9444,      &
      nGC_9444])

      call avR2(1645, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9445, nGC_9445,      &
      nGC_9445])

      allocate(vertices(1646)%branchR2(0:1))
      call avR2(1646, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9428])

      call avR2(1646, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9429])

      allocate(vertices(1337)%branchR2(0:0))
      call avR2(1337, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9337, nGC_9338])

      allocate(vertices(288)%branchR2(0:0))
      call avR2(288, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9314, nGC_9313])

      allocate(vertices(1188)%branchR2(0:3))
      call avR2(1188, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9414, nGC_9413])

      call avR2(1188, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9415, nGC_9415])

      call avR2(1188, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9411, nGC_9410])

      call avR2(1188, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9412, nGC_9412])

      allocate(vertices(656)%branchR2(0:0))
      call avR2(656, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9377, nGC_9376])

      allocate(vertices(560)%branchR2(0:0))
      call avR2(560, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9365, nGC_9364])

      allocate(vertices(615)%branchR2(0:0))
      call avR2(615, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9346])

      allocate(vertices(1647)%branchR2(0:1))
      call avR2(1647, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9436, nGC_9436,      &
      nGC_9436])

      call avR2(1647, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9437, nGC_9437,      &
      nGC_9437])

      allocate(vertices(20)%branchR2(0:0))
      call avR2(20, 0, 19, 1, 0, FaFS1, 0, [2, 1], [nGC_9317])

      allocate(vertices(1297)%branchR2(0:0))
      call avR2(1297, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9383, nGC_9382])

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9339, nGC_9339])

      allocate(vertices(433)%branchR2(0:0))
      call avR2(433, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9381, nGC_9380])

      allocate(vertices(1269)%branchR2(0:0))
      call avR2(1269, 0, 21, 1, 0, SFaF2, 0, [2, 1], [nGC_9317])

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9377, nGC_9376])

      allocate(vertices(62)%branchR2(0:0))
      call avR2(62, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9316, nGC_9315])

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9373, nGC_9372])

      allocate(vertices(1648)%branchR2(0:1))
      call avR2(1648, 0, 59, 1, 0, VVSS0, 0, [2, 2], [nGC_9428])

      call avR2(1648, 1, 60, 1, 0, VVSS0, 0, [2, 2], [nGC_9429])

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(1649)%branchR2(0:1))
      call avR2(1649, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9433])

      call avR2(1649, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9432])

      allocate(vertices(1383)%branchR2(0:0))
      call avR2(1383, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(1260)%branchR2(0:0))
      call avR2(1260, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(143)%branchR2(0:0))
      call avR2(143, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9365, nGC_9364])

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9389, nGC_9388])

      allocate(vertices(1650)%branchR2(0:5))
      call avR2(1650, 0, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_9446, nGC_9446,      &
      nGC_9446])

      call avR2(1650, 1, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1650, 2, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_9446, nGC_9446,      &
      nGC_9446])

      call avR2(1650, 3, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1650, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_9448, nGC_9448,      &
      nGC_9448])

      call avR2(1650, 5, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      allocate(vertices(1448)%branchR2(0:0))
      call avR2(1448, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(115)%branchR2(0:0))
      call avR2(115, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9318, nGC_9319])

      allocate(vertices(1442)%branchR2(0:0))
      call avR2(1442, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9320, nGC_9321])

      allocate(vertices(1651)%branchR2(0:1))
      call avR2(1651, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1651, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(1652)%branchR2(0:1))
      call avR2(1652, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9428])

      call avR2(1652, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9429])

      allocate(vertices(1228)%branchR2(0:0))
      call avR2(1228, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9356, nGC_9357])

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9381, nGC_9380])

      allocate(vertices(762)%branchR2(0:0))
      call avR2(762, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1152)%branchR2(0:0))
      call avR2(1152, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9356, nGC_9357])

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1653)%branchR2(0:1))
      call avR2(1653, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9459, nGC_9459,      &
      nGC_9459])

      call avR2(1653, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9460, nGC_9460,      &
      nGC_9460])

      allocate(vertices(643)%branchR2(0:0))
      call avR2(643, 0, 21, 1, 0, VFaF1, 0, [2, 1], [nGC_9347])

      allocate(vertices(1654)%branchR2(0:1))
      call avR2(1654, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9438, nGC_9438,      &
      nGC_9438])

      call avR2(1654, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9439, nGC_9439,      &
      nGC_9439])

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(401)%branchR2(0:0))
      call avR2(401, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9315, nGC_9316])

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1655)%branchR2(0:1))
      call avR2(1655, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9441, nGC_9441,      &
      nGC_9441])

      call avR2(1655, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9440, nGC_9440,      &
      nGC_9440])

      allocate(vertices(44)%branchR2(0:0))
      call avR2(44, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9330, nGC_9331])

      allocate(vertices(1358)%branchR2(0:0))
      call avR2(1358, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9381, nGC_9380])

      allocate(vertices(229)%branchR2(0:0))
      call avR2(229, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9356, nGC_9357])

      allocate(vertices(1515)%branchR2(0:1))
      call avR2(1515, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9291, nGC_9289,       &
      nGC_9288, nGC_9288])

      call avR2(1515, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_9283, nGC_9283,       &
      nGC_9290, nGC_9290])

      allocate(vertices(1417)%branchR2(0:0))
      call avR2(1417, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9361, nGC_9360])

      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9354, nGC_9355])

      allocate(vertices(86)%branchR2(0:0))
      call avR2(86, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9363, nGC_9362])

      allocate(vertices(1124)%branchR2(0:0))
      call avR2(1124, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9361, nGC_9360])

      allocate(vertices(467)%branchR2(0:0))
      call avR2(467, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9346])

      allocate(vertices(292)%branchR2(0:0))
      call avR2(292, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9324, nGC_9325])

      allocate(vertices(1656)%branchR2(0:1))
      call avR2(1656, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1656, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(1091)%branchR2(0:0))
      call avR2(1091, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9315, nGC_9316])

      allocate(vertices(932)%branchR2(0:3))
      call avR2(932, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_9417, nGC_9416])

      call avR2(932, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_9412, nGC_9412])

      call avR2(932, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_9419, nGC_9418])

      call avR2(932, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_9415, nGC_9415])

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9381, nGC_9380])

      allocate(vertices(1058)%branchR2(0:0))
      call avR2(1058, 0, 17, 1, 0, FSFa2, 0, [2, 1], [nGC_9317])

      allocate(vertices(1470)%branchR2(0:0))
      call avR2(1470, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9353, nGC_9352])

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9346])

      allocate(vertices(1657)%branchR2(0:1))
      call avR2(1657, 0, 43, 1, 0, VVV1, 0, [2, 1], [nGC_27660, 0, nGC_9390])

      call avR2(1657, 1, 44, 1, 0, VVV1, 0, [2, 1], [nGC_27662, 0, nGC_9391])

      allocate(vertices(1658)%branchR2(0:1))
      call avR2(1658, 0, 64, 1, 0, VSVS0, 0, [2, 2], [nGC_9435])

      call avR2(1658, 1, 63, 1, 0, VSVS0, 0, [2, 2], [nGC_9434])

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9324, nGC_9325])

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9393, nGC_9392])

      allocate(vertices(1037)%branchR2(0:0))
      call avR2(1037, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9365, nGC_9364])

      allocate(vertices(345)%branchR2(0:0))
      call avR2(345, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(1659)%branchR2(0:1))
      call avR2(1659, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9438, nGC_9438,      &
      nGC_9438])

      call avR2(1659, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9439, nGC_9439,      &
      nGC_9439])

      allocate(vertices(852)%branchR2(0:0))
      call avR2(852, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9343, nGC_9343])

      allocate(vertices(1255)%branchR2(0:0))
      call avR2(1255, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9354, nGC_9355])

      allocate(vertices(1660)%branchR2(0:1))
      call avR2(1660, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9450, nGC_9450,      &
      nGC_9450])

      call avR2(1660, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9449, nGC_9449,      &
      nGC_9449])

      allocate(vertices(1030)%branchR2(0:0))
      call avR2(1030, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9361, nGC_9360])

      allocate(vertices(179)%branchR2(0:0))
      call avR2(179, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(593)%branchR2(0:0))
      call avR2(593, 0, 20, 1, 0, SFFa2, 0, [2, 1], [nGC_9310])

      allocate(vertices(250)%branchR2(0:0))
      call avR2(250, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9361, nGC_9360])

      allocate(vertices(1356)%branchR2(0:0))
      call avR2(1356, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1033)%branchR2(0:0))
      call avR2(1033, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(1661)%branchR2(0:1))
      call avR2(1661, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9443, nGC_9443,      &
      nGC_9443])

      call avR2(1661, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9442, nGC_9442,      &
      nGC_9442])

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9375, nGC_9374])

      allocate(vertices(1295)%branchR2(0:3))
      call avR2(1295, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_9421, nGC_9420])

      call avR2(1295, 1, 29, 1, 0, VFFa0, 0, [3, 0], [nGC_9412, nGC_9412])

      call avR2(1295, 2, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_9423, nGC_9422])

      call avR2(1295, 3, 28, 1, 0, VFFa0, 0, [3, 0], [nGC_9415, nGC_9415])

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9389, nGC_9388])

      allocate(vertices(55)%branchR2(0:0))
      call avR2(55, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9332, nGC_9333])

      allocate(vertices(629)%branchR2(0:0))
      call avR2(629, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9314, nGC_9313])

      allocate(vertices(545)%branchR2(0:0))
      call avR2(545, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9347])

      allocate(vertices(51)%branchR2(0:0))
      call avR2(51, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_9310])

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9395, nGC_9394])

      allocate(vertices(1155)%branchR2(0:0))
      call avR2(1155, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1415)%branchR2(0:0))
      call avR2(1415, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9387, nGC_9386])

      allocate(vertices(473)%branchR2(0:0))
      call avR2(473, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9359, nGC_9358])

      allocate(vertices(1662)%branchR2(0:1))
      call avR2(1662, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9449, nGC_9449,      &
      nGC_9449])

      call avR2(1662, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9450, nGC_9450,      &
      nGC_9450])

      allocate(vertices(1067)%branchR2(0:0))
      call avR2(1067, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9375, nGC_9374])

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 21, 1, 0, SFaF1, 0, [2, 1], [nGC_9317])

      allocate(vertices(824)%branchR2(0:0))
      call avR2(824, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9320, nGC_9321])

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_9344])

      allocate(vertices(1663)%branchR2(0:1))
      call avR2(1663, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9460, nGC_9460,      &
      nGC_9460])

      call avR2(1663, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9459, nGC_9459,      &
      nGC_9459])

      allocate(vertices(501)%branchR2(0:3))
      call avR2(501, 0, 27, 1, 0, FaFV0, 0, [1, 2], [nGC_9411, nGC_9410])

      call avR2(501, 1, 27, 1, 0, FaFV0, 0, [3, 0], [nGC_9412, nGC_9412])

      call avR2(501, 2, 26, 1, 0, FaFV0, 0, [1, 2], [nGC_9414, nGC_9413])

      call avR2(501, 3, 26, 1, 0, FaFV0, 0, [3, 0], [nGC_9415, nGC_9415])

      allocate(vertices(1664)%branchR2(0:1))
      call avR2(1664, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      call avR2(1664, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      allocate(vertices(882)%branchR2(0:0))
      call avR2(882, 0, 20, 1, 0, SFFa0, 0, [2, 1], [nGC_9315, nGC_9316])

      allocate(vertices(625)%branchR2(0:0))
      call avR2(625, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9349, nGC_9348])

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9313, nGC_9314])

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9344])

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9351, nGC_9350])

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9375, nGC_9374])

      allocate(vertices(1508)%branchR2(0:1))
      call avR2(1508, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_9299, nGC_9296,       &
      nGC_9297, nGC_9297])

      call avR2(1508, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_9283, nGC_9283,       &
      nGC_9298, nGC_9298])

      allocate(vertices(1223)%branchR2(0:0))
      call avR2(1223, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_9324, nGC_9325])

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9349, nGC_9348])

      allocate(vertices(459)%branchR2(0:0))
      call avR2(459, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9316, nGC_9315])

      allocate(vertices(1665)%branchR2(0:1))
      call avR2(1665, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9440, nGC_9440,      &
      nGC_9440])

      call avR2(1665, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9441, nGC_9441,      &
      nGC_9441])

      allocate(vertices(1666)%branchR2(0:1))
      call avR2(1666, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9441, nGC_9441,      &
      nGC_9441])

      call avR2(1666, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9440, nGC_9440,      &
      nGC_9440])

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9395, nGC_9394])

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_9346])

      allocate(vertices(1667)%branchR2(0:1))
      call avR2(1667, 0, 59, 1, 0, VVSS0, 0, [2, 2], [nGC_9434])

      call avR2(1667, 1, 60, 1, 0, VVSS0, 0, [2, 2], [nGC_9435])

      allocate(vertices(395)%branchR2(0:0))
      call avR2(395, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9383, nGC_9382])

      allocate(vertices(1668)%branchR2(0:1))
      call avR2(1668, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9440, nGC_9440,      &
      nGC_9440])

      call avR2(1668, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9441, nGC_9441,      &
      nGC_9441])

      allocate(vertices(1669)%branchR2(0:1))
      call avR2(1669, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9438, nGC_9438,      &
      nGC_9438])

      call avR2(1669, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9439, nGC_9439,      &
      nGC_9439])

      allocate(vertices(990)%branchR2(0:0))
      call avR2(990, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9359, nGC_9358])

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 19, 1, 0, FaFS1, 0, [2, 1], [nGC_9310])

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_9363, nGC_9362])

      allocate(vertices(1670)%branchR2(0:1))
      call avR2(1670, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_9340])

      call avR2(1670, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_9341])

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9354, nGC_9355])

      allocate(vertices(175)%branchR2(0:0))
      call avR2(175, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(1671)%branchR2(0:1))
      call avR2(1671, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9444, nGC_9444,      &
      nGC_9444])

      call avR2(1671, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9445, nGC_9445,      &
      nGC_9445])

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9385, nGC_9384])

      allocate(vertices(1672)%branchR2(0:1))
      call avR2(1672, 0, 48, 1, 0, VSV0, 0, [2, 1], [nGC_9341])

      call avR2(1672, 1, 47, 1, 0, VSV0, 0, [2, 1], [nGC_9340])

      allocate(vertices(710)%branchR2(0:0))
      call avR2(710, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9377, nGC_9376])

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9347])

      allocate(vertices(1212)%branchR2(0:0))
      call avR2(1212, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9367, nGC_9366])

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9369, nGC_9368])

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9389, nGC_9388])

      allocate(vertices(1673)%branchR2(0:1))
      call avR2(1673, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9441, nGC_9441,      &
      nGC_9441])

      call avR2(1673, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9440, nGC_9440,      &
      nGC_9440])

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9349, nGC_9348])

      allocate(vertices(6)%branchR2(0:0))
      call avR2(6, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9387, nGC_9386])

      allocate(vertices(669)%branchR2(0:0))
      call avR2(669, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9379, nGC_9378])

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9387, nGC_9386])

      allocate(vertices(1674)%branchR2(0:1))
      call avR2(1674, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9437, nGC_9437,      &
      nGC_9437])

      call avR2(1674, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9436, nGC_9436,      &
      nGC_9436])

      allocate(vertices(10)%branchR2(0:0))
      call avR2(10, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9379, nGC_9378])

      allocate(vertices(1675)%branchR2(0:5))
      call avR2(1675, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_9446, nGC_9446,      &
      nGC_9446])

      call avR2(1675, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_9448, nGC_9448,      &
      nGC_9448])

      call avR2(1675, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1675, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1675, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_9447, nGC_9447,      &
      nGC_9447])

      call avR2(1675, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_9446, nGC_9446,      &
      nGC_9446])

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 21, 1, 0, SFaF0, 0, [2, 1], [nGC_9318, nGC_9319])

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9308, nGC_9308])

      allocate(vertices(366)%branchR2(0:0))
      call avR2(366, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_9334, nGC_9334])

      allocate(vertices(1676)%branchR2(0:1))
      call avR2(1676, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9444, nGC_9444,      &
      nGC_9444])

      call avR2(1676, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9445, nGC_9445,      &
      nGC_9445])

      allocate(vertices(1677)%branchR2(0:5))
      call avR2(1677, 0, 70, 1, 0, VVVV1, 0, [3, 1], [nGC_9454, nGC_9454,      &
      nGC_9454, nGC_9458])

      call avR2(1677, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9456, nGC_9456,      &
      nGC_9456])

      call avR2(1677, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9456, nGC_9456,      &
      nGC_9456])

      call avR2(1677, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9456, nGC_9456,      &
      nGC_9456])

      call avR2(1677, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9457, nGC_9457,      &
      nGC_9457])

      call avR2(1677, 5, 65, 1, 0, VVVV1, 0, [3, 1], [nGC_9454, nGC_9454,      &
      nGC_9454, nGC_9455])

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9377, nGC_9376])

      allocate(vertices(1678)%branchR2(0:1))
      call avR2(1678, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9430, nGC_9430,      &
      nGC_9430])

      call avR2(1678, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9431, nGC_9431,      &
      nGC_9431])

      allocate(vertices(1134)%branchR2(0:0))
      call avR2(1134, 0, 19, 1, 0, FaFV1, 0, [2, 1], [nGC_9344])

      allocate(vertices(650)%branchR2(0:0))
      call avR2(650, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9309, nGC_9309])

      allocate(vertices(497)%branchR2(0:0))
      call avR2(497, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9354, nGC_9355])

      allocate(vertices(988)%branchR2(0:0))
      call avR2(988, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_9365, nGC_9364])

      allocate(vertices(819)%branchR2(0:0))
      call avR2(819, 0, 20, 1, 0, VFFa1, 0, [2, 1], [nGC_9345])

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9377, nGC_9376])

      allocate(vertices(1679)%branchR2(0:1))
      call avR2(1679, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9441, nGC_9441,      &
      nGC_9441])

      call avR2(1679, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9440, nGC_9440,      &
      nGC_9440])

      allocate(vertices(1171)%branchR2(0:0))
      call avR2(1171, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9326, nGC_9327])

      allocate(vertices(1680)%branchR2(0:5))
      call avR2(1680, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9451, nGC_9451,      &
      nGC_9451])

      call avR2(1680, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9452, nGC_9452,      &
      nGC_9452])

      call avR2(1680, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9452, nGC_9452,      &
      nGC_9452])

      call avR2(1680, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9452, nGC_9452,      &
      nGC_9452])

      call avR2(1680, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9453, nGC_9453,      &
      nGC_9453])

      call avR2(1680, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_9451, nGC_9451,      &
      nGC_9451])

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9365, nGC_9364])

      allocate(vertices(325)%branchR2(0:0))
      call avR2(325, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_9356, nGC_9357])

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9347])

      allocate(vertices(1681)%branchR2(0:1))
      call avR2(1681, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9428])

      call avR2(1681, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9429])

    end subroutine fill_vertices_mdl5
end module vertices_info5
